/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */
/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_RINGBUF_MAP_KEY_LSKEL_SKEL_H__
#define __TEST_RINGBUF_MAP_KEY_LSKEL_SKEL_H__

#include <bpf/skel_internal.h>

struct test_ringbuf_map_key_lskel {
	struct bpf_loader_ctx ctx;
	struct {
		struct bpf_map_desc ringbuf;
		struct bpf_map_desc hash_map;
		struct bpf_map_desc bss;
	} maps;
	struct {
		struct bpf_prog_desc test_ringbuf_mem_map_key;
	} progs;
	struct {
		int test_ringbuf_mem_map_key_fd;
	} links;
	struct test_ringbuf_map_key_lskel__bss {
		int pid;
		char __pad0[4];
		long seq;
	} *bss;
};

static inline int
test_ringbuf_map_key_lskel__test_ringbuf_mem_map_key__attach(struct test_ringbuf_map_key_lskel *skel)
{
	int prog_fd = skel->progs.test_ringbuf_mem_map_key.prog_fd;
	int fd = skel_raw_tracepoint_open(NULL, prog_fd);

	if (fd > 0)
		skel->links.test_ringbuf_mem_map_key_fd = fd;
	return fd;
}

static inline int
test_ringbuf_map_key_lskel__attach(struct test_ringbuf_map_key_lskel *skel)
{
	int ret = 0;

	ret = ret < 0 ? ret : test_ringbuf_map_key_lskel__test_ringbuf_mem_map_key__attach(skel);
	return ret < 0 ? ret : 0;
}

static inline void
test_ringbuf_map_key_lskel__detach(struct test_ringbuf_map_key_lskel *skel)
{
	skel_closenz(skel->links.test_ringbuf_mem_map_key_fd);
}
static void
test_ringbuf_map_key_lskel__destroy(struct test_ringbuf_map_key_lskel *skel)
{
	if (!skel)
		return;
	test_ringbuf_map_key_lskel__detach(skel);
	skel_closenz(skel->progs.test_ringbuf_mem_map_key.prog_fd);
	skel_closenz(skel->maps.ringbuf.map_fd);
	skel_closenz(skel->maps.hash_map.map_fd);
	skel_free_map_data(skel->bss, skel->maps.bss.initial_value, 4096);
	skel_closenz(skel->maps.bss.map_fd);
	skel_free(skel);
}
static inline struct test_ringbuf_map_key_lskel *
test_ringbuf_map_key_lskel__open(void)
{
	struct test_ringbuf_map_key_lskel *skel;

	skel = skel_alloc(sizeof(*skel));
	if (!skel)
		goto cleanup;
	skel->ctx.sz = (void *)&skel->links - (void *)skel;
	{
		static const char data[] __attribute__((__aligned__(8))) = "\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0";

		skel->bss = skel_prep_map_data((void *)data, 4096,
						sizeof(data) - 1);
		if (!skel->bss)
			goto cleanup;
		skel->maps.bss.initial_value = (__u64) (long) skel->bss;
	}
	return skel;
cleanup:
	test_ringbuf_map_key_lskel__destroy(skel);
	return NULL;
}

static inline int
test_ringbuf_map_key_lskel__load(struct test_ringbuf_map_key_lskel *skel)
{
	struct bpf_load_and_run_opts opts = {};
	int err;
	static const char opts_data[] __attribute__((__aligned__(8))) = "\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xeb\x9f\x01\0\
\0\0\0\x18\0\0\0\0\0\0\x02\x60\0\0\x02\x60\0\0\x03\x3c\0\0\0\0\x02\0\0\0\0\0\0\
\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x02\0\0\0\x04\0\0\0\x1b\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x04\0\
\0\x01\0\0\0\x08\0\0\0\x19\0\0\0\x01\0\0\0\0\0\0\0\x1e\x0e\0\0\0\0\0\0\x05\0\0\
\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\
\x04\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x0a\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\
\0\0\0\x04\0\0\x03\xe8\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\x26\x04\0\0\x04\0\0\0\
\x20\0\0\0\x2d\0\0\0\x02\0\0\0\0\0\0\0\x31\0\0\0\x02\0\0\0\x20\0\0\0\x35\0\0\0\
\x0d\0\0\0\x40\0\0\0\x3b\0\0\0\x0f\0\0\0\x80\0\0\0\x40\x01\0\0\0\0\0\0\x08\x01\
\0\0\x40\0\0\0\x45\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\x0e\0\0\0\x04\0\0\0\x10\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x04\0\0\x04\0\
\0\0\x20\0\0\0\x19\0\0\0\x07\0\0\0\0\0\0\0\x4a\0\0\0\x09\0\0\0\x40\0\0\0\x56\0\
\0\0\x0b\0\0\0\x80\0\0\0\x35\0\0\0\x10\0\0\0\xc0\0\0\0\x5a\x0e\0\0\0\0\0\0\x11\
\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\0\0\x63\0\
\0\0\x13\0\0\0\x67\x0c\0\0\x01\0\0\0\x14\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0e\0\
\0\0\x04\0\0\0\x04\0\0\0\x80\x0e\0\0\0\0\0\0\x16\0\0\0\x01\0\0\0\x2d\x0e\0\0\0\
\0\0\0\x02\0\0\0\x01\0\0\0\x31\x0e\0\0\0\0\0\0\x0d\0\0\0\x01\0\0\x03\x0e\x0f\0\
\0\x01\0\0\0\x04\0\0\0\x17\0\0\0\0\0\0\0\x04\0\0\x03\x16\x0f\0\0\x02\0\0\0\x10\
\0\0\0\x18\0\0\0\0\0\0\0\x04\0\0\0\x19\0\0\0\x08\0\0\0\x08\0\0\x03\x1b\x0f\0\0\
\x02\0\0\0\x28\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\x12\0\0\0\x08\0\0\0\x20\0\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x74\x79\x70\x65\0\x72\x69\x6e\x67\x62\x75\x66\0\x73\x61\x6d\x70\x6c\
\x65\0\x70\x69\x64\0\x73\x65\x71\0\x76\x61\x6c\x75\x65\0\x63\x6f\x6d\x6d\0\x6c\
\x6f\x6e\x67\0\x63\x68\x61\x72\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\
\x6b\x65\x79\0\x68\x61\x73\x68\x5f\x6d\x61\x70\0\x63\x74\x78\0\x74\x65\x73\x74\
\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x6d\x65\x6d\x5f\x6d\x61\x70\x5f\x6b\x65\
\x79\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\
\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\
\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x35\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\
\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x35\x2e\x65\x6c\x39\x2e\x73\
\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\
\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\
\x2f\x74\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x6d\x61\x70\x5f\x6b\
\x65\x79\x2e\x63\0\x09\x69\x6e\x74\x20\x63\x75\x72\x5f\x70\x69\x64\x20\x3d\x20\
\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x70\x69\x64\
\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\x32\x3b\0\x09\x69\x66\x20\x28\
\x63\x75\x72\x5f\x70\x69\x64\x20\x21\x3d\x20\x70\x69\x64\x29\0\x09\x73\x61\x6d\
\x70\x6c\x65\x20\x3d\x20\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x72\
\x65\x73\x65\x72\x76\x65\x28\x26\x72\x69\x6e\x67\x62\x75\x66\x2c\x20\x73\x69\
\x7a\x65\x6f\x66\x28\x2a\x73\x61\x6d\x70\x6c\x65\x29\x2c\x20\x30\x29\x3b\0\x09\
\x69\x66\x20\x28\x21\x73\x61\x6d\x70\x6c\x65\x29\0\x09\x73\x61\x6d\x70\x6c\x65\
\x2d\x3e\x70\x69\x64\x20\x3d\x20\x70\x69\x64\x3b\0\x09\x62\x70\x66\x5f\x67\x65\
\x74\x5f\x63\x75\x72\x72\x65\x6e\x74\x5f\x63\x6f\x6d\x6d\x28\x73\x61\x6d\x70\
\x6c\x65\x2d\x3e\x63\x6f\x6d\x6d\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x61\
\x6d\x70\x6c\x65\x2d\x3e\x63\x6f\x6d\x6d\x29\x29\x3b\0\x09\x73\x61\x6d\x70\x6c\
\x65\x2d\x3e\x73\x65\x71\x20\x3d\x20\x2b\x2b\x73\x65\x71\x3b\0\x09\x73\x61\x6d\
\x70\x6c\x65\x2d\x3e\x76\x61\x6c\x75\x65\x20\x3d\x20\x34\x32\x3b\0\x09\x6c\x6f\
\x6f\x6b\x75\x70\x5f\x76\x61\x6c\x20\x3d\x20\x28\x69\x6e\x74\x20\x2a\x29\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\
\x26\x68\x61\x73\x68\x5f\x6d\x61\x70\x2c\x20\x73\x61\x6d\x70\x6c\x65\x29\x3b\0\
\x09\x5f\x5f\x73\x69\x6e\x6b\x28\x6c\x6f\x6f\x6b\x75\x70\x5f\x76\x61\x6c\x29\
\x3b\0\x09\x5f\x5f\x62\x75\x69\x6c\x74\x69\x6e\x5f\x6d\x65\x6d\x63\x70\x79\x28\
\x26\x73\x61\x6d\x70\x6c\x65\x5f\x63\x6f\x70\x79\x2c\x20\x73\x61\x6d\x70\x6c\
\x65\x2c\x20\x73\x69\x7a\x65\x6f\x66\x28\x73\x74\x72\x75\x63\x74\x20\x73\x61\
\x6d\x70\x6c\x65\x29\x29\x3b\0\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\
\x61\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x68\x61\x73\x68\x5f\x6d\x61\x70\x2c\
\x20\x26\x73\x61\x6d\x70\x6c\x65\x5f\x63\x6f\x70\x79\x2c\x20\x26\x73\x61\x6d\
\x70\x6c\x65\x2d\x3e\x73\x65\x71\x2c\x20\x42\x50\x46\x5f\x41\x4e\x59\x29\x3b\0\
\x09\x62\x70\x66\x5f\x72\x69\x6e\x67\x62\x75\x66\x5f\x73\x75\x62\x6d\x69\x74\
\x28\x73\x61\x6d\x70\x6c\x65\x2c\x20\x30\x29\x3b\0\x7d\0\x6c\x69\x63\x65\x6e\
\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6d\x61\x70\x73\0\x66\x65\x6e\x74\x72\x79\x2f\
\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xb4\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x72\x69\x6e\x67\x62\
\x75\x66\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x20\0\0\0\x04\0\0\x03\xe8\0\0\0\0\0\0\0\0\0\0\0\0\x68\x61\
\x73\x68\x5f\x6d\x61\x70\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0c\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x10\0\0\0\x01\0\0\x04\0\0\0\0\
\0\0\0\0\0\x74\x65\x73\x74\x5f\x72\x69\x6e\x2e\x62\x73\x73\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x1b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x47\x50\x4c\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\x18\x16\0\0\0\0\0\x02\0\0\0\0\0\0\
\0\0\x61\x11\0\0\0\0\0\0\x77\0\0\0\0\0\0\x20\x5e\x10\0\x2f\0\0\0\0\x18\x15\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x20\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\x83\x15\0\0\x29\0\0\0\0\x18\x16\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\x61\x11\0\0\
\0\0\0\0\x63\x01\0\0\0\0\0\0\xbf\x10\0\0\0\0\0\0\x07\x10\0\0\0\0\0\x10\xb4\x20\
\0\0\0\0\0\x10\xbf\x60\0\0\0\0\0\0\x85\0\0\0\0\0\0\x10\x18\x16\0\0\0\0\0\x02\0\
\0\0\0\0\0\0\x08\x79\x21\0\0\0\0\0\0\x07\x20\0\0\0\0\0\x01\x7b\x12\0\0\0\0\0\0\
\x63\x62\0\x04\0\0\0\0\x7a\x60\0\x08\0\0\0\x2a\x18\x15\0\0\0\0\0\x01\0\0\0\0\0\
\0\0\0\xbf\x26\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\x7b\xa0\xff\xd8\0\0\0\0\x7b\xa0\
\xff\xd8\0\0\0\0\x79\x16\0\0\0\0\0\0\x7b\xa1\xff\xe0\0\0\0\0\x79\x16\0\x08\0\0\
\0\0\x7b\xa1\xff\xe8\0\0\0\0\x79\x16\0\x10\0\0\0\0\x7b\xa1\xff\xf0\0\0\0\0\x79\
\x16\0\x18\0\0\0\0\x7b\xa1\xff\xf8\0\0\0\0\xbf\x36\0\0\0\0\0\0\x07\x30\0\0\0\0\
\0\x04\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xe0\x18\x15\0\0\0\0\0\x01\0\
\0\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\x02\xbf\x16\0\0\0\0\0\0\xb7\
\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\x84\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x15\0\0\0\0\0\0\0\x89\0\0\x01\x09\0\0\x94\x10\0\0\0\x01\0\0\0\x89\0\0\
\x01\x3a\0\0\xa4\x11\0\0\0\x04\0\0\0\x89\0\0\x01\x09\0\0\x94\x2b\0\0\0\x05\0\0\
\0\x89\0\0\x01\x3a\0\0\xa4\x0e\0\0\0\x06\0\0\0\x89\0\0\x01\x4f\0\0\xb0\x0b\0\0\
\0\x0b\0\0\0\x89\0\0\x01\x8c\0\0\xb4\x06\0\0\0\x0c\0\0\0\x89\0\0\x01\x9a\0\0\
\xc0\x10\0\0\0\x0f\0\0\0\x89\0\0\x01\x9a\0\0\xc0\x0e\0\0\0\x10\0\0\0\x89\0\0\
\x01\xae\0\0\xc4\x1f\0\0\0\x12\0\0\0\x89\0\0\x01\xae\0\0\xc4\x02\0\0\0\x15\0\0\
\0\x89\0\0\x01\xe9\0\0\xc8\x10\0\0\0\x1a\0\0\0\x89\0\0\x01\xe9\0\0\xc8\x0e\0\0\
\0\x1b\0\0\0\x89\0\0\x01\xff\0\0\xcc\x10\0\0\0\x1c\0\0\0\x89\0\0\x02\x14\0\0\
\xdc\x16\0\0\0\x20\0\0\0\x89\0\0\x02\x14\0\0\xdc\x0d\0\0\0\x21\0\0\0\x89\0\0\
\x02\x51\0\0\xe0\x02\0\0\0\x22\0\0\0\x89\0\0\x02\x66\0\x01\x08\x02\0\0\0\x2a\0\
\0\0\x89\0\0\x01\xe9\0\0\xc8\x0a\0\0\0\x2e\0\0\0\x89\0\0\x02\xa6\0\x01\x0c\x02\
\0\0\0\x32\0\0\0\x89\0\0\x02\xec\0\x01\x14\x02\0\0\0\x35\0\0\0\x89\0\0\x03\x0c\
\0\x01\x1c\x01\0\0\0\x1a\0\0\0\x37\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x74\x65\x73\x74\x5f\x72\x69\x6e\x67\x62\
\x75\x66\x5f\x6d\x65\0\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\x10\0\0\0\0\0\0\0\0\0\0\0\x15\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\0\x5f\x5f\x73\x33\x39\x30\x78\x5f\x73\
\x79\x73\x5f\x67\x65\x74\x70\x67\x69\x64\0\0\0\0\0";
	static const char opts_insn[] __attribute__((__aligned__(8))) = "\
\xbf\x61\0\0\0\0\0\0\xbf\x1a\0\0\0\0\0\0\x07\x10\0\0\xff\xff\xff\x78\xb7\x20\0\
\0\0\0\0\x88\xb7\x30\0\0\0\0\0\0\x85\0\0\0\0\0\0\x71\x05\0\0\x1d\0\0\0\0\x61\
\x1a\xff\x78\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x7c\
\0\0\0\0\xd5\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x61\x1a\xff\x80\0\0\0\0\xd5\
\x10\0\x01\0\0\0\0\x85\0\0\0\0\0\0\xa8\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\
\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\
\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\
\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\xa8\xbf\x07\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\x0a\xd0\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xcc\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xc0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\x05\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xb8\x7b\x10\0\0\0\0\0\
\0\xb7\x10\0\0\0\0\0\x12\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x0a\xb8\xb7\x30\0\0\0\
\0\0\x1c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\xcb\0\0\0\0\x63\
\xa7\xff\x78\0\0\0\0\x61\x06\0\x1c\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\x16\0\0\0\0\
\0\0\0\0\0\0\0\0\x0a\xe4\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x26\0\0\0\
\0\0\0\0\0\0\0\0\0\x0a\xd8\xb7\x30\0\0\0\0\0\x48\x85\0\0\0\0\0\0\xa6\xbf\x70\0\
\0\0\0\0\0\xc5\x70\xff\xbe\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x17\
\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\x50\
\x63\x10\0\0\0\0\0\0\x61\x06\0\x2c\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\x16\0\0\0\0\
\0\0\0\0\0\0\0\0\x0b\x2c\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x26\0\0\0\
\0\0\0\0\0\0\0\0\0\x0b\x20\xb7\x30\0\0\0\0\0\x48\x85\0\0\0\0\0\0\xa6\xbf\x70\0\
\0\0\0\0\0\xc5\x70\xff\xab\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x63\
\x17\0\0\0\0\0\0\x61\x0a\xff\x78\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\
\x98\x63\x10\0\0\0\0\0\0\x61\x06\0\x3c\0\0\0\0\x15\0\0\x03\0\0\0\0\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\x0b\x74\x63\x10\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x18\x26\0\
\0\0\0\0\0\0\0\0\0\0\0\x0b\x68\xb7\x30\0\0\0\0\0\x48\x85\0\0\0\0\0\0\xa6\xbf\
\x70\0\0\0\0\0\0\xc5\x70\xff\x98\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\x63\x17\0\0\0\0\0\0\x79\x36\0\x40\0\0\0\0\x15\x30\0\x08\0\0\0\0\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x0b\xb0\xb7\x20\0\0\0\0\0\x10\x61\x06\0\x04\0\0\0\0\x45\0\0\
\x02\0\0\0\x01\x85\0\0\0\0\0\0\x94\x05\0\0\x01\0\0\0\0\x85\0\0\0\0\0\0\x71\x18\
\x26\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x61\x02\0\0\0\0\0\0\x18\x16\0\0\0\0\0\0\0\0\
\0\0\0\0\x0b\xc8\x63\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xc0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xd0\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\x0b\xb0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xd8\x7b\x10\0\0\0\0\
\0\0\xb7\x10\0\0\0\0\0\x02\x18\x26\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xc8\xb7\x30\0\0\
\0\0\0\x20\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x74\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xe8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x10\
\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0b\xf0\x18\x16\0\0\0\0\0\
\0\0\0\0\0\0\0\x0f\x08\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0d\
\xa8\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x50\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\
\0\0\0\0\0\0\0\0\0\x0d\xb0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x60\x7b\x10\0\0\
\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\
\x0f\x80\x7b\x10\0\0\0\0\0\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x16\0\0\0\
\0\0\0\0\0\0\0\0\0\x0f\x78\x7b\x10\0\0\0\0\0\0\x61\x06\0\x08\0\0\0\0\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\x0f\x18\x63\x10\0\0\0\0\0\0\x61\x06\0\x0c\0\0\0\0\x18\
\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x1c\x63\x10\0\0\0\0\0\0\x79\x06\0\x10\0\0\0\0\
\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x20\x7b\x10\0\0\0\0\0\0\x61\x0a\xff\x78\0\
\0\0\0\x18\x16\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x48\x63\x10\0\0\0\0\0\0\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\x0f\x90\xb7\x20\0\0\0\0\0\x14\xb7\x30\0\0\0\0\0\x0c\xb7\
\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa7\xbf\x70\0\0\0\0\0\0\xc5\x70\xff\x3e\0\0\0\
\0\x18\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0f\0\x63\x07\0\x6c\0\0\0\0\x77\x70\0\0\0\0\
\0\x20\x63\x07\0\x70\0\0\0\0\xb7\x10\0\0\0\0\0\x05\x18\x26\0\0\0\0\0\0\0\0\0\0\
\0\0\x0f\0\xb7\x30\0\0\0\0\0\x8c\x85\0\0\0\0\0\0\xa6\xbf\x70\0\0\0\0\0\0\x18\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x70\x61\x10\0\0\0\0\0\0\xd5\x10\0\x02\0\0\0\0\
\xbf\x91\0\0\0\0\0\0\x85\0\0\0\0\0\0\xa8\xc5\x70\xff\x2c\0\0\0\0\x63\xa7\xff\
\x80\0\0\0\0\x61\x1a\xff\x78\0\0\0\0\xd5\x10\0\x02\0\0\0\0\xbf\x91\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\xa8\x61\x0a\xff\x80\0\0\0\0\x63\x60\0\x48\0\0\0\0\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x61\x01\0\0\0\0\0\0\x63\x60\0\x18\0\0\0\0\x18\x16\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x04\x61\x01\0\0\0\0\0\0\x63\x60\0\x28\0\0\0\0\x18\x16\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\x61\x01\0\0\0\0\0\0\x63\x60\0\x38\0\0\0\0\xb7\0\0\
\0\0\0\0\0\x95\0\0\0\0\0\0\0";

	opts.ctx = (struct bpf_loader_ctx *)skel;
	opts.data_sz = sizeof(opts_data) - 1;
	opts.data = (void *)opts_data;
	opts.insns_sz = sizeof(opts_insn) - 1;
	opts.insns = (void *)opts_insn;

	err = bpf_load_and_run(&opts);
	if (err < 0)
		return err;
	skel->bss = skel_finalize_map_data(&skel->maps.bss.initial_value,
					4096, PROT_READ | PROT_WRITE, skel->maps.bss.map_fd);
	if (!skel->bss)
		return -ENOMEM;
	return 0;
}

static inline struct test_ringbuf_map_key_lskel *
test_ringbuf_map_key_lskel__open_and_load(void)
{
	struct test_ringbuf_map_key_lskel *skel;

	skel = test_ringbuf_map_key_lskel__open();
	if (!skel)
		return NULL;
	if (test_ringbuf_map_key_lskel__load(skel)) {
		test_ringbuf_map_key_lskel__destroy(skel);
		return NULL;
	}
	return skel;
}

__attribute__((unused)) static void
test_ringbuf_map_key_lskel__assert(struct test_ringbuf_map_key_lskel *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->pid) == 4, "unexpected size of 'pid'");
	_Static_assert(sizeof(s->bss->seq) == 8, "unexpected size of 'seq'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_RINGBUF_MAP_KEY_LSKEL_SKEL_H__ */
