/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_SPIN_LOCK_SKEL_H__
#define __TEST_SPIN_LOCK_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_spin_lock {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *hmap;
		struct bpf_map *vqueue;
		struct bpf_map *cls_map;
		struct bpf_map *data_A;
	} maps;
	struct {
		struct bpf_program *bpf_spin_lock_test;
		struct bpf_program *lock_static_subprog_call;
		struct bpf_program *lock_static_subprog_lock;
		struct bpf_program *lock_static_subprog_unlock;
	} progs;
	struct {
		struct bpf_link *bpf_spin_lock_test;
		struct bpf_link *lock_static_subprog_call;
		struct bpf_link *lock_static_subprog_lock;
		struct bpf_link *lock_static_subprog_unlock;
	} links;

#ifdef __cplusplus
	static inline struct test_spin_lock *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_spin_lock *open_and_load();
	static inline int load(struct test_spin_lock *skel);
	static inline int attach(struct test_spin_lock *skel);
	static inline void detach(struct test_spin_lock *skel);
	static inline void destroy(struct test_spin_lock *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_spin_lock__destroy(struct test_spin_lock *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_spin_lock__create_skeleton(struct test_spin_lock *obj);

static inline struct test_spin_lock *
test_spin_lock__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_spin_lock *obj;
	int err;

	obj = (struct test_spin_lock *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_spin_lock__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_spin_lock__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_spin_lock *
test_spin_lock__open(void)
{
	return test_spin_lock__open_opts(NULL);
}

static inline int
test_spin_lock__load(struct test_spin_lock *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_spin_lock *
test_spin_lock__open_and_load(void)
{
	struct test_spin_lock *obj;
	int err;

	obj = test_spin_lock__open();
	if (!obj)
		return NULL;
	err = test_spin_lock__load(obj);
	if (err) {
		test_spin_lock__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_spin_lock__attach(struct test_spin_lock *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_spin_lock__detach(struct test_spin_lock *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_spin_lock__elf_bytes(size_t *sz);

static inline int
test_spin_lock__create_skeleton(struct test_spin_lock *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_spin_lock";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 4;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "hmap";
	map->map = &obj->maps.hmap;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "vqueue";
	map->map = &obj->maps.vqueue;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "cls_map";
	map->map = &obj->maps.cls_map;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 3 * s->map_skel_sz);
	map->name = ".data.A";
	map->map = &obj->maps.data_A;

	/* programs */
	s->prog_cnt = 4;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "bpf_spin_lock_test";
	s->progs[0].prog = &obj->progs.bpf_spin_lock_test;
	s->progs[0].link = &obj->links.bpf_spin_lock_test;

	s->progs[1].name = "lock_static_subprog_call";
	s->progs[1].prog = &obj->progs.lock_static_subprog_call;
	s->progs[1].link = &obj->links.lock_static_subprog_call;

	s->progs[2].name = "lock_static_subprog_lock";
	s->progs[2].prog = &obj->progs.lock_static_subprog_lock;
	s->progs[2].link = &obj->links.lock_static_subprog_lock;

	s->progs[3].name = "lock_static_subprog_unlock";
	s->progs[3].prog = &obj->progs.lock_static_subprog_unlock;
	s->progs[3].link = &obj->links.lock_static_subprog_unlock;

	s->data = test_spin_lock__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_spin_lock__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x1d\xc0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0e\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\x72\x65\x73\
\x73\0\x74\x63\0\x2e\x6d\x61\x70\x73\0\x2e\x64\x61\x74\x61\x2e\x41\0\x6c\x69\
\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\
\x2e\x63\0\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x73\x74\
\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x6c\x6f\x63\x6b\0\x73\x74\
\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x75\x6e\x6c\x6f\x63\x6b\0\
\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\0\x68\
\x6d\x61\x70\0\x76\x71\x75\x65\x75\x65\0\x63\x6c\x73\x5f\x6d\x61\x70\0\x6c\x6f\
\x63\x6b\x5f\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x63\
\x61\x6c\x6c\0\x6c\x6f\x63\x6b\x41\0\x6c\x6f\x63\x6b\x5f\x73\x74\x61\x74\x69\
\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x6c\x6f\x63\x6b\0\x6c\x6f\x63\x6b\x5f\
\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x75\x6e\x6c\x6f\
\x63\x6b\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x2e\x74\x65\x78\
\x74\0\x2e\x72\x65\x6c\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\
\x72\x65\x73\x73\0\x2e\x72\x65\x6c\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\
\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x43\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x54\x02\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\x63\x02\0\0\x03\0\0\0\0\0\0\0\x40\0\0\0\0\0\
\0\0\x58\0\0\0\x77\x02\0\0\x03\0\0\0\0\0\0\0\x98\0\0\0\0\0\0\0\x58\0\0\0\x8d\
\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xe0\0\0\0\xa0\x11\0\0\x06\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x20\0\0\0\xa5\x11\0\0\x06\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\
\0\x20\0\0\0\xac\x11\0\0\x06\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\x18\0\0\0\xb4\x12\
\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x78\0\0\0\xcd\x11\x02\0\x07\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x04\0\0\0\xd3\x12\0\0\x05\0\0\0\0\0\0\0\x78\0\0\0\0\0\0\0\
\x38\0\0\0\xec\x12\0\0\x05\0\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\x38\0\0\x01\x07\x11\
\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x62\xa0\xff\xfc\0\0\0\0\x61\x21\0\
\x10\0\0\0\0\x61\x0a\xff\xfc\0\0\0\0\x56\x20\0\x03\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x0c\x10\0\0\0\0\0\0\xbc\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\
\x62\xa0\xff\xfc\0\0\0\0\x85\x01\0\0\xff\xff\xff\xf5\x63\xa0\xff\xfc\0\0\0\0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5d\x61\x1a\xff\xfc\0\0\0\
\0\x61\x06\0\0\0\0\0\0\x0c\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\
\0\x62\xa0\xff\xfc\0\0\0\0\x85\x01\0\0\xff\xff\xff\xea\x63\xa0\xff\xfc\0\0\0\0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5e\x61\x1a\xff\xfc\0\0\0\
\0\x61\x06\0\0\0\0\0\0\x0c\x01\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x62\xa0\xff\xfc\0\
\0\0\0\x62\xa0\xff\xf8\0\0\0\x64\x62\xa0\xff\xf4\0\0\0\x40\x62\xa0\xff\xf0\0\0\
\0\0\x7a\xa0\xff\xe8\0\0\0\0\x62\xa0\xff\xe4\0\0\0\0\xbf\x2a\0\0\0\0\0\0\x07\
\x20\0\0\xff\xff\xff\xe4\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x01\xbf\x70\0\0\0\0\0\0\x55\x70\0\x10\0\0\0\0\xbf\x6a\0\0\0\0\0\0\x07\x60\0\0\
\xff\xff\xff\xe4\xbf\x3a\0\0\0\0\0\0\x07\x30\0\0\xff\xff\xff\xe8\x18\x10\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\xbf\x26\0\0\0\0\0\0\xb7\x40\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x02\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xbf\x26\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x01\xbf\x70\0\0\0\0\0\0\xb4\x60\0\0\0\0\0\x01\x15\x70\0\x3d\0\0\0\0\xbf\x87\0\
\0\0\0\0\0\x07\x80\0\0\0\0\0\x04\xbf\x18\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5d\x61\
\x27\0\0\0\0\0\0\xb4\x10\0\0\0\0\0\x01\x16\x20\0\x01\0\0\0\0\xb4\x10\0\0\xff\
\xff\xff\xff\x61\x27\0\0\0\0\0\0\x0c\x21\0\0\0\0\0\0\x63\x72\0\0\0\0\0\0\xb4\
\x60\0\0\0\0\0\0\x61\x17\0\0\0\0\0\0\x16\x10\0\x03\0\0\0\0\x61\x17\0\0\0\0\0\0\
\x16\x10\0\x01\0\0\0\x01\xb4\x60\0\0\0\0\0\x01\xbf\x18\0\0\0\0\0\0\x85\0\0\0\0\
\0\0\x5e\xbf\x2a\0\0\0\0\0\0\x07\x20\0\0\xff\xff\xff\xe4\x18\x10\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x01\xbf\x70\0\0\0\0\0\0\x15\x70\0\x23\0\0\0\0\
\x85\0\0\0\0\0\0\x05\xbf\x80\0\0\0\0\0\0\xbf\x17\0\0\0\0\0\0\x85\0\0\0\0\0\0\
\x5d\x79\x17\0\x08\0\0\0\0\x7b\x78\0\x08\0\0\0\0\x1f\x81\0\0\0\0\0\0\x61\x17\0\
\x14\0\0\0\0\x2f\x81\0\0\0\0\0\0\x77\x80\0\0\0\0\0\x14\x61\x17\0\x10\0\0\0\0\
\x0c\x18\0\0\0\0\0\0\x61\x2a\xff\xf8\0\0\0\0\xde\x12\0\x01\0\0\0\0\x61\x1a\xff\
\xf8\0\0\0\0\x61\x2a\xff\xf4\0\0\0\0\x1c\x12\0\0\0\0\0\0\x63\x71\0\x10\0\0\0\0\
\x63\xa1\xff\xfc\0\0\0\0\xbf\x17\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5e\x61\x1a\xff\
\xfc\0\0\0\0\x63\xa1\xff\xfc\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\
\x20\0\0\0\0\0\0\x85\0\0\0\0\0\0\x51\xbf\x70\0\0\0\0\0\0\xbf\x17\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x5d\x61\x17\0\x04\0\0\0\0\x04\x10\0\0\0\0\0\x01\x63\x71\0\x04\
\0\0\0\0\xbf\x17\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5e\xbc\x06\0\0\0\0\0\0\x95\0\0\0\
\0\0\0\0\xbf\x61\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\
\0\x5d\xbf\x16\0\0\0\0\0\0\xb4\x60\0\0\0\0\0\0\x61\x21\0\x08\0\0\0\0\x56\x20\0\
\x02\0\0\0\x2a\x85\x01\0\0\xff\xff\xff\xff\xbc\x60\0\0\0\0\0\0\x18\x10\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5e\xbc\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\
\x85\x01\0\0\0\0\0\x07\xbc\x60\0\0\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x85\0\0\0\0\0\0\x5e\xbc\x06\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xbf\x61\0\0\0\0\0\0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x85\0\0\0\0\0\0\x5d\xbf\x16\0\0\0\0\0\0\
\x85\x01\0\0\0\0\0\x12\x95\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x47\x50\
\x4c\0\0\0\0\0\0\0\0\x60\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\xb8\0\0\0\x0d\0\0\0\
\x01\0\0\0\0\0\0\0\x40\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\0\x88\0\0\0\x09\0\0\0\
\x01\0\0\0\0\0\0\0\xb0\0\0\0\x09\0\0\0\x01\0\0\0\0\0\0\x01\x90\0\0\0\x0a\0\0\0\
\x01\0\0\0\0\0\0\x02\x70\0\0\0\x0b\0\0\0\x01\0\0\0\0\0\0\0\x08\0\0\0\x0d\0\0\0\
\x01\0\0\0\0\0\0\0\x40\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\x50\0\0\0\x0d\0\0\0\
\x01\0\0\0\0\0\0\0\x78\0\0\0\x02\0\0\0\x0a\0\0\0\0\0\0\0\x88\0\0\0\x0d\0\0\0\
\x01\0\0\0\0\0\0\0\xb8\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\xd8\0\0\0\x02\0\0\0\
\x0a\xeb\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x06\x30\0\0\x06\x30\0\0\x08\xfd\0\0\0\
\0\x02\0\0\0\0\0\0\x03\0\0\0\x01\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x01\0\0\0\x05\x01\0\0\0\0\0\0\x04\0\0\0\
\x20\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\x07\0\0\0\x19\x04\0\0\
\x03\0\0\0\x0c\0\0\0\x23\0\0\0\x08\0\0\0\0\0\0\0\x27\0\0\0\x09\0\0\0\x20\0\0\0\
\x2c\0\0\0\x02\0\0\0\x40\0\0\0\0\x09\0\0\0\0\0\0\x02\0\0\0\x39\x04\0\0\x01\0\0\
\0\x04\0\0\0\x47\0\0\0\x0a\0\0\0\0\0\0\0\x4b\x08\0\0\0\0\0\0\x0b\0\0\0\x51\x01\
\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x04\0\0\x04\0\0\0\x20\0\0\0\x5e\0\0\0\x01\0\
\0\0\0\0\0\0\x63\0\0\0\x01\0\0\0\x40\0\0\0\x6f\0\0\0\x05\0\0\0\x80\0\0\0\x73\0\
\0\0\x06\0\0\0\xc0\0\0\0\x79\x0e\0\0\0\0\0\0\x0c\0\0\0\x01\0\0\0\0\x02\0\0\0\0\
\0\0\x0f\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\0\0\0\x02\0\0\0\0\x02\0\
\0\0\0\0\0\x11\0\0\0\x7e\x04\0\0\x04\0\0\0\x18\0\0\0\x27\0\0\0\x09\0\0\0\0\0\0\
\0\x89\0\0\0\x12\0\0\0\x40\0\0\0\x92\0\0\0\x02\0\0\0\x80\0\0\0\x99\0\0\0\x0b\0\
\0\0\xa0\0\0\0\x9e\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x04\0\0\x04\0\0\0\x20\
\0\0\0\x5e\0\0\0\x0e\0\0\0\0\0\0\0\x63\0\0\0\x01\0\0\0\x40\0\0\0\x6f\0\0\0\x05\
\0\0\0\x80\0\0\0\x73\0\0\0\x10\0\0\0\xc0\0\0\0\xb1\x0e\0\0\0\0\0\0\x13\0\0\0\
\x01\0\0\0\0\x02\0\0\0\0\0\0\x16\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\x04\
\0\0\0\x13\0\0\0\0\x02\0\0\0\0\0\0\x18\0\0\0\xb8\x04\0\0\x02\0\0\0\x10\0\0\0\
\xcf\0\0\0\x19\0\0\0\0\0\0\0\xdf\0\0\0\x0a\0\0\0\x40\0\0\0\xeb\x08\0\0\0\0\0\0\
\x12\0\0\0\0\x02\0\0\0\0\0\0\x1b\0\0\0\xf1\x04\0\0\x02\0\0\0\x08\0\0\0\x27\0\0\
\0\x09\0\0\0\0\0\0\0\x23\0\0\0\x08\0\0\0\x20\0\0\0\0\x04\0\0\x03\0\0\0\x18\0\0\
\0\x5e\0\0\0\x15\0\0\0\0\0\0\0\x6f\0\0\0\x17\0\0\0\x40\0\0\0\x73\0\0\0\x1a\0\0\
\0\x80\0\0\0\xfa\x0e\0\0\0\0\0\0\x1c\0\0\0\x01\0\0\0\0\x02\0\0\0\0\0\0\x1f\0\0\
\x01\x02\x04\0\0\x22\0\0\0\xc0\0\0\x01\x0c\0\0\0\x0a\0\0\0\0\0\0\x01\x10\0\0\0\
\x0a\0\0\0\x20\0\0\x01\x19\0\0\0\x0a\0\0\0\x40\0\0\x01\x1e\0\0\0\x0a\0\0\0\x60\
\0\0\x01\x2c\0\0\0\x0a\0\0\0\x80\0\0\x01\x35\0\0\0\x0a\0\0\0\xa0\0\0\x01\x42\0\
\0\0\x0a\0\0\0\xc0\0\0\x01\x4b\0\0\0\x0a\0\0\0\xe0\0\0\x01\x56\0\0\0\x0a\0\0\
\x01\0\0\0\x01\x5f\0\0\0\x0a\0\0\x01\x20\0\0\x01\x6f\0\0\0\x0a\0\0\x01\x40\0\0\
\x01\x77\0\0\0\x0a\0\0\x01\x60\0\0\x01\x80\0\0\0\x20\0\0\x01\x80\0\0\x01\x83\0\
\0\0\x0a\0\0\x02\x20\0\0\x01\x88\0\0\0\x0a\0\0\x02\x40\0\0\x01\x93\0\0\0\x0a\0\
\0\x02\x60\0\0\x01\x98\0\0\0\x0a\0\0\x02\x80\0\0\x01\xa1\0\0\0\x0a\0\0\x02\xa0\
\0\0\x01\xa9\0\0\0\x0a\0\0\x02\xc0\0\0\x01\xb0\0\0\0\x0a\0\0\x02\xe0\0\0\x01\
\xbb\0\0\0\x0a\0\0\x03\0\0\0\x01\xc5\0\0\0\x21\0\0\x03\x20\0\0\x01\xd0\0\0\0\
\x21\0\0\x03\xa0\0\0\x01\xda\0\0\0\x0a\0\0\x04\x20\0\0\x01\xe6\0\0\0\x0a\0\0\
\x04\x40\0\0\x01\xf1\0\0\0\x0a\0\0\x04\x60\0\0\0\0\0\0\0\x22\0\0\x04\x80\0\0\
\x01\xfb\0\0\0\x19\0\0\x04\xc0\0\0\x02\x02\0\0\0\x0a\0\0\x05\0\0\0\x02\x0b\0\0\
\0\x0a\0\0\x05\x20\0\0\0\0\0\0\0\x24\0\0\x05\x40\0\0\x02\x14\0\0\0\x0a\0\0\x05\
\x80\0\0\x02\x1d\0\0\0\x26\0\0\x05\xa0\0\0\x02\x29\0\0\0\x19\0\0\x05\xc0\0\0\0\
\0\x03\0\0\0\0\0\0\0\0\0\0\x0a\0\0\0\x04\0\0\0\x05\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\x0a\0\0\0\x04\0\0\0\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x02\x32\0\0\0\
\x23\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x35\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x02\
\x3c\0\0\0\x25\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x36\0\0\x02\x3f\x08\0\0\0\0\0\0\
\x27\0\0\x02\x44\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x02\0\
\0\x02\x52\0\0\0\x1e\0\0\x02\x56\x0c\0\0\x01\0\0\0\x28\0\0\0\0\x0d\0\0\x01\0\0\
\0\x02\0\0\x02\x69\0\0\0\x1e\0\0\x02\x6d\x0c\0\0\x01\0\0\0\x2a\0\0\x02\x86\x0c\
\0\0\0\0\0\0\x2a\0\0\x02\x95\x0c\0\0\x01\0\0\0\x2a\0\0\x02\xae\x0c\0\0\0\0\0\0\
\x2a\0\0\x02\xc2\x0c\0\0\x01\0\0\0\x2a\0\0\x02\xdd\x0c\0\0\0\0\0\0\x2a\0\0\x02\
\xf3\x0e\0\0\0\0\0\0\x09\0\0\0\x01\0\0\x02\xf9\x01\0\0\0\0\0\0\x01\x01\0\0\x08\
\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x32\0\0\0\x04\0\0\0\x04\0\0\x02\xfe\x0e\0\0\0\
\0\0\0\x33\0\0\0\x01\0\0\x03\x07\x07\0\0\0\0\0\0\0\0\0\x03\x15\x07\0\0\0\0\0\0\
\0\0\0\x08\xcb\x0f\0\0\x03\0\0\0\x58\0\0\0\x0d\0\0\0\0\0\0\0\x20\0\0\0\x14\0\0\
\0\x20\0\0\0\x20\0\0\0\x1d\0\0\0\x40\0\0\0\x18\0\0\x08\xd1\x0f\0\0\x01\0\0\0\
\x04\0\0\0\x31\0\0\0\0\0\0\0\x04\0\0\x08\xd9\x0f\0\0\x01\0\0\0\x04\0\0\0\x34\0\
\0\0\0\0\0\0\x04\0\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\
\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\0\x63\
\x6e\x74\0\x6c\x6f\x63\x6b\0\x74\x65\x73\x74\x5f\x70\x61\x64\x64\x69\x6e\x67\0\
\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\0\x76\x61\x6c\0\x5f\x5f\
\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\x6e\x74\0\x74\x79\x70\
\x65\0\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6b\x65\x79\0\x76\x61\x6c\
\x75\x65\0\x68\x6d\x61\x70\0\x62\x70\x66\x5f\x76\x71\x75\x65\x75\x65\0\x6c\x61\
\x73\x74\x74\x69\x6d\x65\0\x63\x72\x65\x64\x69\x74\0\x72\x61\x74\x65\0\x75\x6e\
\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x76\x71\x75\
\x65\x75\x65\0\x62\x70\x66\x5f\x63\x67\x72\x6f\x75\x70\x5f\x73\x74\x6f\x72\x61\
\x67\x65\x5f\x6b\x65\x79\0\x63\x67\x72\x6f\x75\x70\x5f\x69\x6e\x6f\x64\x65\x5f\
\x69\x64\0\x61\x74\x74\x61\x63\x68\x5f\x74\x79\x70\x65\0\x5f\x5f\x75\x36\x34\0\
\x63\x6c\x73\x5f\x65\x6c\x65\x6d\0\x63\x6c\x73\x5f\x6d\x61\x70\0\x5f\x5f\x73\
\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\x74\x79\x70\x65\0\x6d\
\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\x69\x6e\x67\0\x70\x72\
\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\x65\x73\x65\x6e\x74\0\
\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\x70\x72\x6f\x74\x6f\0\
\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\x73\x73\x5f\x69\x66\x69\
\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\x63\x5f\x69\x6e\x64\x65\
\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\x61\x73\x73\x69\x64\0\
\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\x61\x70\x69\x5f\x69\
\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x34\0\x6c\
\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\x65\x5f\x69\x70\x36\0\
\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\x74\x65\x5f\x70\x6f\x72\
\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\x61\x74\x61\x5f\x6d\x65\
\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\x5f\x6c\x65\x6e\0\x67\x73\
\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\x7a\x65\0\x74\x73\x74\x61\
\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\x61\x6d\x70\0\x66\x6c\x6f\
\x77\x5f\x6b\x65\x79\x73\0\x73\x6b\0\x5f\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\x62\0\x62\x70\x66\x5f\x73\x70\x69\x6e\
\x5f\x6c\x6f\x63\x6b\x5f\x74\x65\x73\x74\0\x63\x74\x78\0\x6c\x6f\x63\x6b\x5f\
\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x63\x61\x6c\x6c\0\
\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\0\x6c\x6f\x63\x6b\x5f\
\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x6c\x6f\x63\x6b\0\
\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x6c\x6f\x63\x6b\0\
\x6c\x6f\x63\x6b\x5f\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\
\x5f\x75\x6e\x6c\x6f\x63\x6b\0\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\
\x6f\x67\x5f\x75\x6e\x6c\x6f\x63\x6b\0\x6c\x6f\x63\x6b\x41\0\x63\x68\x61\x72\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x2f\x62\x75\x69\x6c\x64\x64\x69\
\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\
\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x35\x2e\x65\x6c\x39\x2f\x6c\x69\
\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x35\x2e\x65\x6c\x39\x2e\
\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\
\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\
\x73\x2f\x74\x65\x73\x74\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x2e\x63\0\x09\
\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x69\x6e\x74\x20\x72\x65\x74\x20\x3d\x20\
\x30\x3b\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x70\x72\x6f\x74\x6f\x63\x6f\
\x6c\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x72\x65\x74\x20\x2b\x20\x63\x74\x78\
\x2d\x3e\x6c\x65\x6e\x3b\0\x7d\0\x73\x74\x61\x74\x69\x63\x20\x69\x6e\x74\x20\
\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x6c\x6f\x63\x6b\
\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\
\x63\x74\x78\x29\0\x09\x72\x65\x74\x20\x3d\x20\x73\x74\x61\x74\x69\x63\x5f\x73\
\x75\x62\x70\x72\x6f\x67\x28\x63\x74\x78\x29\x3b\0\x09\x62\x70\x66\x5f\x73\x70\
\x69\x6e\x5f\x6c\x6f\x63\x6b\x28\x26\x6c\x6f\x63\x6b\x41\x29\x3b\0\x73\x74\x61\
\x74\x69\x63\x20\x69\x6e\x74\x20\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\
\x72\x6f\x67\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x73\x74\x72\x75\x63\x74\x20\x5f\
\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x63\x74\x78\x29\0\x09\x62\x70\x66\x5f\
\x73\x70\x69\x6e\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x26\x6c\x6f\x63\x6b\x41\x29\
\x3b\0\x09\x76\x6f\x6c\x61\x74\x69\x6c\x65\x20\x69\x6e\x74\x20\x63\x72\x65\x64\
\x69\x74\x20\x3d\x20\x30\x2c\x20\x6d\x61\x78\x5f\x63\x72\x65\x64\x69\x74\x20\
\x3d\x20\x31\x30\x30\x2c\x20\x70\x6b\x74\x5f\x6c\x65\x6e\x20\x3d\x20\x36\x34\
\x3b\0\x09\x73\x74\x72\x75\x63\x74\x20\x68\x6d\x61\x70\x5f\x65\x6c\x65\x6d\x20\
\x7a\x65\x72\x6f\x20\x3d\x20\x7b\x7d\x2c\x20\x2a\x76\x61\x6c\x3b\0\x09\x69\x6e\
\x74\x20\x6b\x65\x79\x20\x3d\x20\x30\x3b\0\x09\x76\x61\x6c\x20\x3d\x20\x62\x70\
\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\x6d\x28\x26\
\x68\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x76\
\x61\x6c\x29\x20\x7b\0\x09\x09\x62\x70\x66\x5f\x6d\x61\x70\x5f\x75\x70\x64\x61\
\x74\x65\x5f\x65\x6c\x65\x6d\x28\x26\x68\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\
\x2c\x20\x26\x7a\x65\x72\x6f\x2c\x20\x30\x29\x3b\0\x09\x09\x76\x61\x6c\x20\x3d\
\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\x70\x5f\x65\x6c\x65\
\x6d\x28\x26\x68\x6d\x61\x70\x2c\x20\x26\x6b\x65\x79\x29\x3b\0\x09\x09\x69\x66\
\x20\x28\x21\x76\x61\x6c\x29\x20\x7b\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\
\x6c\x6f\x63\x6b\x28\x26\x76\x61\x6c\x2d\x3e\x6c\x6f\x63\x6b\x29\x3b\0\x09\x69\
\x66\x20\x28\x76\x61\x6c\x2d\x3e\x63\x6e\x74\x29\0\x09\x69\x66\x20\x28\x76\x61\
\x6c\x2d\x3e\x63\x6e\x74\x20\x21\x3d\x20\x30\x20\x26\x26\x20\x76\x61\x6c\x2d\
\x3e\x63\x6e\x74\x20\x21\x3d\x20\x31\x29\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\
\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x26\x76\x61\x6c\x2d\x3e\x6c\x6f\x63\x6b\x29\
\x3b\0\x09\x71\x20\x3d\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6c\x6f\x6f\x6b\x75\
\x70\x5f\x65\x6c\x65\x6d\x28\x26\x76\x71\x75\x65\x75\x65\x2c\x20\x26\x6b\x65\
\x79\x29\x3b\0\x09\x69\x66\x20\x28\x21\x71\x29\0\x09\x63\x75\x72\x74\x69\x6d\
\x65\x20\x3d\x20\x62\x70\x66\x5f\x6b\x74\x69\x6d\x65\x5f\x67\x65\x74\x5f\x6e\
\x73\x28\x29\x3b\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\x63\x6b\x28\
\x26\x71\x2d\x3e\x6c\x6f\x63\x6b\x29\x3b\0\x09\x71\x2d\x3e\x63\x72\x65\x64\x69\
\x74\x20\x2b\x3d\x20\x43\x52\x45\x44\x49\x54\x5f\x50\x45\x52\x5f\x4e\x53\x28\
\x63\x75\x72\x74\x69\x6d\x65\x20\x2d\x20\x71\x2d\x3e\x6c\x61\x73\x74\x74\x69\
\x6d\x65\x2c\x20\x71\x2d\x3e\x72\x61\x74\x65\x29\x3b\0\x09\x71\x2d\x3e\x6c\x61\
\x73\x74\x74\x69\x6d\x65\x20\x3d\x20\x63\x75\x72\x74\x69\x6d\x65\x3b\0\x09\x69\
\x66\x20\x28\x71\x2d\x3e\x63\x72\x65\x64\x69\x74\x20\x3e\x20\x6d\x61\x78\x5f\
\x63\x72\x65\x64\x69\x74\x29\0\x09\x09\x71\x2d\x3e\x63\x72\x65\x64\x69\x74\x20\
\x3d\x20\x6d\x61\x78\x5f\x63\x72\x65\x64\x69\x74\x3b\0\x09\x71\x2d\x3e\x63\x72\
\x65\x64\x69\x74\x20\x2d\x3d\x20\x70\x6b\x74\x5f\x6c\x65\x6e\x3b\0\x09\x63\x72\
\x65\x64\x69\x74\x20\x3d\x20\x71\x2d\x3e\x63\x72\x65\x64\x69\x74\x3b\0\x09\x62\
\x70\x66\x5f\x73\x70\x69\x6e\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x26\x71\x2d\x3e\
\x6c\x6f\x63\x6b\x29\x3b\0\x09\x5f\x5f\x73\x69\x6e\x6b\x28\x63\x72\x65\x64\x69\
\x74\x29\x3b\0\x09\x63\x6c\x73\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x6c\
\x6f\x63\x61\x6c\x5f\x73\x74\x6f\x72\x61\x67\x65\x28\x26\x63\x6c\x73\x5f\x6d\
\x61\x70\x2c\x20\x30\x29\x3b\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x6c\x6f\
\x63\x6b\x28\x26\x63\x6c\x73\x2d\x3e\x6c\x6f\x63\x6b\x29\x3b\0\x09\x63\x6c\x73\
\x2d\x3e\x63\x6e\x74\x2b\x2b\x3b\0\x09\x62\x70\x66\x5f\x73\x70\x69\x6e\x5f\x75\
\x6e\x6c\x6f\x63\x6b\x28\x26\x63\x6c\x73\x2d\x3e\x6c\x6f\x63\x6b\x29\x3b\0\x09\
\x72\x65\x74\x75\x72\x6e\x20\x65\x72\x72\x3b\0\x69\x6e\x74\x20\x6c\x6f\x63\x6b\
\x5f\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x63\x61\x6c\
\x6c\x28\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\
\x2a\x63\x74\x78\x29\0\x09\x69\x66\x20\x28\x63\x74\x78\x2d\x3e\x6d\x61\x72\x6b\
\x20\x3d\x3d\x20\x34\x32\x29\0\x09\x09\x72\x65\x74\x20\x3d\x20\x73\x74\x61\x74\
\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x28\x63\x74\x78\x29\x3b\0\x09\x72\x65\
\x74\x75\x72\x6e\x20\x72\x65\x74\x3b\0\x09\x72\x65\x74\x20\x3d\x20\x73\x74\x61\
\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\x67\x5f\x6c\x6f\x63\x6b\x28\x63\x74\
\x78\x29\x3b\0\x69\x6e\x74\x20\x6c\x6f\x63\x6b\x5f\x73\x74\x61\x74\x69\x63\x5f\
\x73\x75\x62\x70\x72\x6f\x67\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x73\x74\x72\x75\
\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\x20\x2a\x63\x74\x78\x29\0\x09\
\x72\x65\x74\x20\x3d\x20\x73\x74\x61\x74\x69\x63\x5f\x73\x75\x62\x70\x72\x6f\
\x67\x5f\x75\x6e\x6c\x6f\x63\x6b\x28\x63\x74\x78\x29\x3b\0\x2e\x6d\x61\x70\x73\
\0\x2e\x64\x61\x74\x61\x2e\x41\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x74\x65\x78\
\x74\0\x63\x67\x72\x6f\x75\x70\x5f\x73\x6b\x62\x2f\x69\x6e\x67\x72\x65\x73\x73\
\0\x74\x63\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x54\0\0\0\x54\0\0\x04\
\xec\0\0\x05\x40\0\0\0\0\0\0\0\x08\0\0\x08\xe1\0\0\0\x03\0\0\0\0\0\0\0\x2c\0\0\
\0\x40\0\0\0\x2e\0\0\0\x98\0\0\0\x30\0\0\x08\xe7\0\0\0\x01\0\0\0\0\0\0\0\x29\0\
\0\x08\xfa\0\0\0\x03\0\0\0\0\0\0\0\x2b\0\0\0\x78\0\0\0\x2d\0\0\0\xb0\0\0\0\x2f\
\0\0\0\x10\0\0\x08\xe1\0\0\0\x18\0\0\0\0\0\0\x03\x1e\0\0\x03\x98\0\x01\xb8\x0f\
\0\0\0\x08\0\0\x03\x1e\0\0\x03\xaf\0\x01\xc0\x0b\0\0\0\x18\0\0\x03\x1e\0\0\x03\
\xaf\0\x01\xc0\x06\0\0\0\x20\0\0\x03\x1e\0\0\x03\xc3\0\x01\xc8\x14\0\0\0\x28\0\
\0\x03\x1e\0\0\x03\xc3\0\x01\xc8\x0d\0\0\0\x38\0\0\x03\x1e\0\0\x03\xdb\0\x01\
\xcc\x01\0\0\0\x40\0\0\x03\x1e\0\0\x03\xdd\0\x01\xd8\0\0\0\0\x48\0\0\x03\x1e\0\
\0\x03\x98\0\x01\xe0\x0f\0\0\0\x50\0\0\x03\x1e\0\0\x04\x13\0\x01\xe8\x08\0\0\0\
\x58\0\0\x03\x1e\0\0\x04\x13\0\x01\xe8\x06\0\0\0\x60\0\0\x03\x1e\0\0\x04\x2f\0\
\x01\xec\x02\0\0\0\x78\0\0\x03\x1e\0\0\x03\xc3\0\x01\xf0\x09\0\0\0\x80\0\0\x03\
\x1e\0\0\x03\xc3\0\x01\xf0\x14\0\0\0\x88\0\0\x03\x1e\0\0\x03\xc3\0\x01\xf0\x0d\
\0\0\0\x90\0\0\x03\x1e\0\0\x03\xc3\0\x01\xf0\x02\0\0\0\x98\0\0\x03\x1e\0\0\x04\
\x47\0\x02\0\0\0\0\0\xa0\0\0\x03\x1e\0\0\x03\x98\0\x02\x08\x0f\0\0\0\xa8\0\0\
\x03\x1e\0\0\x04\x13\0\x02\x10\x08\0\0\0\xb0\0\0\x03\x1e\0\0\x04\x13\0\x02\x10\
\x06\0\0\0\xb8\0\0\x03\x1e\0\0\x04\x7f\0\x02\x14\x02\0\0\0\xd0\0\0\x03\x1e\0\0\
\x03\xc3\0\x02\x18\x09\0\0\0\xd8\0\0\x03\x1e\0\0\x03\xc3\0\x02\x18\x14\0\0\0\
\xe0\0\0\x03\x1e\0\0\x03\xc3\0\x02\x18\x0d\0\0\0\xe8\0\0\x03\x1e\0\0\x03\xc3\0\
\x02\x18\x02\0\0\x08\xe7\0\0\0\x27\0\0\0\0\0\0\x03\x1e\0\0\x04\x99\0\0\xd0\x0f\
\0\0\0\x08\0\0\x03\x1e\0\0\x04\x99\0\0\xd0\x1b\0\0\0\x10\0\0\x03\x1e\0\0\x04\
\x99\0\0\xd0\x2d\0\0\0\x18\0\0\x03\x1e\0\0\x04\xd3\0\0\xd4\x13\0\0\0\x28\0\0\
\x03\x1e\0\0\x04\xf6\0\0\xe4\x06\0\0\0\x40\0\0\x03\x1e\0\0\x05\x04\0\0\xf0\x08\
\0\0\0\x60\0\0\x03\x1e\0\0\x05\x2d\0\0\xf4\x06\0\0\0\x88\0\0\x03\x1e\0\0\x05\
\x3a\0\0\xf8\x03\0\0\0\xb0\0\0\x03\x1e\0\0\x05\x68\0\0\xfc\x09\0\0\0\xe0\0\0\
\x03\x1e\0\0\x05\x92\0\x01\0\x07\0\0\0\xe8\0\0\x03\x1e\0\0\x05\xa0\0\x01\x18\
\x16\0\0\0\xf8\0\0\x03\x1e\0\0\x05\xa0\0\x01\x18\x02\0\0\x01\x08\0\0\x03\x1e\0\
\0\x05\xbc\0\x01\x1c\x0b\0\0\x01\x48\0\0\x03\x1e\0\0\x05\xcb\0\x01\x2c\x0b\0\0\
\x01\x50\0\0\x03\x1e\0\0\x05\xcb\0\x01\x2c\x14\0\0\x01\x58\0\0\x03\x1e\0\0\x05\
\xcb\0\x01\x2c\x1c\0\0\x01\x60\0\0\x03\x1e\0\0\x05\xcb\0\x01\x2c\x14\0\0\x01\
\x70\0\0\x03\x1e\0\0\x05\xf0\0\x01\x34\x02\0\0\x01\x90\0\0\x03\x1e\0\0\x06\x0e\
\0\x01\x40\x06\0\0\x01\xb0\0\0\x03\x1e\0\0\x06\x37\0\x01\x44\x06\0\0\x01\xb8\0\
\0\x03\x1e\0\0\x06\x40\0\x01\x4c\x0c\0\0\x01\xc8\0\0\x03\x1e\0\0\x06\x5f\0\x01\
\x50\x02\0\0\x01\xd8\0\0\x03\x1e\0\0\x06\x79\0\x01\x54\x0f\0\0\x01\xe0\0\0\x03\
\x1e\0\0\x06\xb6\0\x01\x58\x0e\0\0\x01\xe8\0\0\x03\x1e\0\0\x06\x79\0\x01\x54\
\x0f\0\0\x02\x08\0\0\x03\x1e\0\0\x06\x79\0\x01\x54\x0c\0\0\x02\x18\0\0\x03\x1e\
\0\0\x06\xce\0\x01\x5c\x12\0\0\x02\x20\0\0\x03\x1e\0\0\x06\xce\0\x01\x5c\x10\0\
\0\x02\x28\0\0\x03\x1e\0\0\x06\xeb\0\x01\x60\x0f\0\0\x02\x30\0\0\x03\x1e\0\0\
\x07\x05\0\x01\x64\x0f\0\0\x02\x38\0\0\x03\x1e\0\0\x07\x05\0\x01\x64\x0c\0\0\
\x02\x48\0\0\x03\x1e\0\0\x07\x1c\0\x01\x68\x09\0\0\x02\x50\0\0\x03\x1e\0\0\x07\
\x31\0\x01\x6c\x02\0\0\x02\x60\0\0\x03\x1e\0\0\x07\x4d\0\x01\x74\x02\0\0\x02\
\x70\0\0\x03\x1e\0\0\x07\x5e\0\x01\x80\x08\0\0\x02\x98\0\0\x03\x1e\0\0\x07\x89\
\0\x01\x84\x02\0\0\x02\xa8\0\0\x03\x1e\0\0\x07\xa5\0\x01\x88\x0a\0\0\x02\xc0\0\
\0\x03\x1e\0\0\x07\xb2\0\x01\x8c\x02\0\0\x02\xd0\0\0\x03\x1e\0\0\x07\xd0\0\x01\
\x98\x02\0\0\x08\xfa\0\0\0\x0e\0\0\0\0\0\0\x03\x1e\0\0\x07\xdd\0\x02\x28\0\0\0\
\0\x08\0\0\x03\x1e\0\0\x04\x2f\0\x02\x38\x02\0\0\0\x30\0\0\x03\x1e\0\0\x08\x11\
\0\x02\x3c\x0b\0\0\0\x38\0\0\x03\x1e\0\0\x08\x11\0\x02\x3c\x10\0\0\0\x40\0\0\
\x03\x1e\0\0\x08\x27\0\x02\x40\x09\0\0\0\x50\0\0\x03\x1e\0\0\x04\x7f\0\x02\x44\
\x02\0\0\0\x68\0\0\x03\x1e\0\0\x08\x44\0\x02\x48\x02\0\0\0\x78\0\0\x03\x1e\0\0\
\x08\x51\0\x02\x68\x08\0\0\0\x88\0\0\x03\x1e\0\0\x04\x7f\0\x02\x6c\x02\0\0\0\
\xa0\0\0\x03\x1e\0\0\x08\x44\0\x02\x70\x02\0\0\0\xb0\0\0\x03\x1e\0\0\x08\x72\0\
\x02\x80\0\0\0\0\xb8\0\0\x03\x1e\0\0\x04\x2f\0\x02\x90\x02\0\0\0\xd0\0\0\x03\
\x1e\0\0\x08\xa8\0\x02\x94\x08\0\0\0\xe0\0\0\x03\x1e\0\0\x08\x44\0\x02\x98\x02\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\
\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\x46\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\x88\0\0\0\0\0\0\x01\x98\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\x20\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\x10\0\0\0\0\0\0\x02\xe0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\
\0\0\0\x2a\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xf0\0\0\
\0\0\0\0\0\xe8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x2d\0\0\
\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xd8\0\0\0\0\0\0\0\x58\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x33\0\0\0\x01\0\0\0\0\
\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\x30\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x3b\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\x34\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x01\0\0\0\0\0\0\0\0\0\0\x01\x10\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x08\x38\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\
\0\0\0\0\0\0\x10\0\0\x01\x1a\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x08\x58\0\0\0\0\0\0\0\x50\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\x10\0\0\x01\x31\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\xa8\0\0\0\0\0\0\0\x70\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\x10\0\0\x01\x38\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x09\x18\
\0\0\0\0\0\0\x0f\x45\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\
\x3d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x60\0\0\0\0\0\0\
\x05\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_spin_lock *test_spin_lock::open(const struct bpf_object_open_opts *opts) { return test_spin_lock__open_opts(opts); }
struct test_spin_lock *test_spin_lock::open_and_load() { return test_spin_lock__open_and_load(); }
int test_spin_lock::load(struct test_spin_lock *skel) { return test_spin_lock__load(skel); }
int test_spin_lock::attach(struct test_spin_lock *skel) { return test_spin_lock__attach(skel); }
void test_spin_lock::detach(struct test_spin_lock *skel) { test_spin_lock__detach(skel); }
void test_spin_lock::destroy(struct test_spin_lock *skel) { test_spin_lock__destroy(skel); }
const void *test_spin_lock::elf_bytes(size_t *sz) { return test_spin_lock__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_spin_lock__assert(struct test_spin_lock *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_SPIN_LOCK_SKEL_H__ */
