/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __MAP_PERCPU_STATS_SKEL_H__
#define __MAP_PERCPU_STATS_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct map_percpu_stats {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
		struct bpf_map *rodata;
	} maps;
	struct {
		struct bpf_program *dump_bpf_map;
	} progs;
	struct {
		struct bpf_link *dump_bpf_map;
	} links;
	struct map_percpu_stats__bss {
		__u32 target_id;
	} *bss;

#ifdef __cplusplus
	static inline struct map_percpu_stats *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct map_percpu_stats *open_and_load();
	static inline int load(struct map_percpu_stats *skel);
	static inline int attach(struct map_percpu_stats *skel);
	static inline void detach(struct map_percpu_stats *skel);
	static inline void destroy(struct map_percpu_stats *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
map_percpu_stats__destroy(struct map_percpu_stats *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
map_percpu_stats__create_skeleton(struct map_percpu_stats *obj);

static inline struct map_percpu_stats *
map_percpu_stats__open_opts(const struct bpf_object_open_opts *opts)
{
	struct map_percpu_stats *obj;
	int err;

	obj = (struct map_percpu_stats *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = map_percpu_stats__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	map_percpu_stats__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct map_percpu_stats *
map_percpu_stats__open(void)
{
	return map_percpu_stats__open_opts(NULL);
}

static inline int
map_percpu_stats__load(struct map_percpu_stats *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct map_percpu_stats *
map_percpu_stats__open_and_load(void)
{
	struct map_percpu_stats *obj;
	int err;

	obj = map_percpu_stats__open();
	if (!obj)
		return NULL;
	err = map_percpu_stats__load(obj);
	if (err) {
		map_percpu_stats__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
map_percpu_stats__attach(struct map_percpu_stats *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
map_percpu_stats__detach(struct map_percpu_stats *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *map_percpu_stats__elf_bytes(size_t *sz);

static inline int
map_percpu_stats__create_skeleton(struct map_percpu_stats *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "map_percpu_stats";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 2;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "map_perc.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "map_perc.rodata";
	map->map = &obj->maps.rodata;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "dump_bpf_map";
	s->progs[0].prog = &obj->progs.dump_bpf_map;
	s->progs[0].link = &obj->links.dump_bpf_map;

	s->data = map_percpu_stats__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *map_percpu_stats__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x19\xc0\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0a\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x69\x74\x65\
\x72\x2f\x62\x70\x66\x5f\x6d\x61\x70\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\
\x74\x61\0\x6c\x69\x63\x65\x6e\x73\x65\0\x6d\x61\x70\x5f\x70\x65\x72\x63\x70\
\x75\x5f\x73\x74\x61\x74\x73\x2e\x63\0\x64\x75\x6d\x70\x5f\x62\x70\x66\x5f\x6d\
\x61\x70\x2e\x5f\x5f\x5f\x66\x6d\x74\0\x64\x75\x6d\x70\x5f\x62\x70\x66\x5f\x6d\
\x61\x70\0\x74\x61\x72\x67\x65\x74\x5f\x69\x64\0\x62\x70\x66\x5f\x6d\x61\x70\
\x5f\x73\x75\x6d\x5f\x65\x6c\x65\x6d\x5f\x63\x6f\x75\x6e\x74\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x69\x74\x65\x72\x2f\x62\x70\x66\x5f\x6d\x61\
\x70\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x33\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x46\x01\0\0\
\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x5a\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xa8\0\0\0\x67\
\x11\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\x71\x20\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x88\x11\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\
\x79\x21\0\0\0\0\0\0\x79\x62\0\0\0\0\0\0\x79\x11\0\x08\0\0\0\0\x15\x10\0\x0f\0\
\0\0\0\x61\x21\0\x34\0\0\0\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x33\0\0\0\
\0\0\0\x5e\x23\0\x0a\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x7b\xa0\xff\xf8\0\0\0\
\0\xbf\x4a\0\0\0\0\0\0\x07\x40\0\0\xff\xff\xff\xf8\xbf\x16\0\0\0\0\0\0\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb4\x30\0\0\0\0\0\x05\xb4\x50\0\0\0\0\0\x08\x85\0\
\0\0\0\0\0\x7e\xb4\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x25\x6c\x6c\x64\0\x47\x50\
\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x28\0\0\0\x06\0\0\0\x01\0\0\0\0\0\0\0\x48\0\
\0\0\x07\0\0\0\x0a\0\0\0\0\0\0\0\x70\0\0\0\x04\0\0\0\x01\xeb\x9f\x01\0\0\0\0\
\x18\0\0\0\0\0\0\x09\xc4\0\0\x09\xc4\0\0\x0c\x0e\0\0\0\0\x02\0\0\0\0\0\0\x02\0\
\0\0\x01\x04\0\0\x02\0\0\0\x10\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\x05\0\0\
\0\x40\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\0\x13\0\0\0\x04\0\0\0\0\0\0\0\0\x02\0\
\0\0\0\0\0\x0a\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\0\x18\0\0\0\x06\0\0\0\0\0\0\0\
\0\x02\0\0\0\0\0\0\x10\0\0\0\0\x0d\0\0\x01\0\0\0\x08\0\0\0\x1c\0\0\0\x01\0\0\0\
\x20\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x24\x0c\0\0\x01\0\0\0\x07\0\0\0\x31\
\x04\0\0\x03\0\0\0\x18\0\0\0\0\0\0\0\x0b\0\0\0\0\0\0\0\x3f\0\0\0\x0d\0\0\0\x40\
\0\0\0\x4a\0\0\0\x0d\0\0\0\x80\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\0\x52\0\0\0\
\x0c\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x4c\0\0\0\x56\x08\0\0\0\0\0\0\x0e\0\0\0\
\x5a\x08\0\0\0\0\0\0\x0f\0\0\0\x60\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\x73\x04\
\0\0\x1e\0\0\0\xf8\0\0\0\x7b\0\0\0\x11\0\0\0\0\0\0\0\x7f\0\0\0\x06\0\0\0\x40\0\
\0\0\x8e\0\0\0\x13\0\0\0\x80\0\0\0\x97\0\0\0\x14\0\0\0\xc0\0\0\0\xa0\0\0\0\x15\
\0\0\0\xe0\0\0\0\xa9\0\0\0\x15\0\0\x01\0\0\0\0\xb4\0\0\0\x15\0\0\x01\x20\0\0\0\
\xc0\0\0\0\x0d\0\0\x01\x40\0\0\0\xca\0\0\0\x15\0\0\x01\x80\0\0\0\xd4\0\0\0\x15\
\0\0\x01\xa0\0\0\0\xd7\0\0\0\x18\0\0\x01\xc0\0\0\0\xde\0\0\0\x08\0\0\x02\0\0\0\
\0\xe8\0\0\0\x15\0\0\x02\x20\0\0\0\xf8\0\0\0\x15\0\0\x02\x40\0\0\x01\x0a\0\0\0\
\x15\0\0\x02\x60\0\0\x01\x24\0\0\0\x19\0\0\x02\x80\0\0\x01\x28\0\0\0\x1a\0\0\
\x02\xc0\0\0\x01\x2e\0\0\0\x1c\0\0\x03\0\0\0\x01\x33\0\0\0\x1e\0\0\x03\x80\0\0\
\x01\x40\0\0\0\x20\0\0\x04\x80\0\0\x01\x47\0\0\0\x20\0\0\x04\xc0\0\0\0\0\0\0\0\
\x2e\0\0\x05\0\0\0\x01\x4f\0\0\0\x20\0\0\x06\0\0\0\x01\x58\0\0\0\x38\0\0\x06\
\x40\0\0\x01\x5e\0\0\0\x3f\0\0\x07\0\0\0\x01\x6d\0\0\0\x3f\0\0\x07\x08\0\0\x01\
\x74\0\0\0\x3f\0\0\x07\x10\0\0\x01\x8b\0\0\0\x3f\0\0\x07\x18\0\0\x01\x9d\0\0\0\
\x20\0\0\x07\x40\0\0\x01\xae\0\0\0\x41\0\0\x07\x80\0\0\0\0\x02\0\0\0\0\0\0\x12\
\0\0\0\0\x0a\0\0\0\0\0\0\x51\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\x01\xb9\x06\0\0\x25\
\0\0\0\x04\0\0\x01\xc6\0\0\0\0\0\0\x01\xda\0\0\0\x01\0\0\x01\xec\0\0\0\x02\0\0\
\x01\xff\0\0\0\x03\0\0\x02\x17\0\0\0\x04\0\0\x02\x35\0\0\0\x05\0\0\x02\x4e\0\0\
\0\x06\0\0\x02\x68\0\0\0\x07\0\0\x02\x81\0\0\0\x08\0\0\x02\x9b\0\0\0\x09\0\0\
\x02\xb1\0\0\0\x0a\0\0\x02\xce\0\0\0\x0b\0\0\x02\xe4\0\0\0\x0c\0\0\x02\xff\0\0\
\0\x0d\0\0\x03\x19\0\0\0\x0e\0\0\x03\x2d\0\0\0\x0f\0\0\x03\x42\0\0\0\x10\0\0\
\x03\x56\0\0\0\x11\0\0\x03\x6a\0\0\0\x12\0\0\x03\x80\0\0\0\x13\0\0\x03\xa7\0\0\
\0\x13\0\0\x03\xc3\0\0\0\x14\0\0\x03\xe4\0\0\0\x15\0\0\x04\x12\0\0\0\x15\0\0\
\x04\x35\0\0\0\x16\0\0\x04\x48\0\0\0\x17\0\0\x04\x5b\0\0\0\x18\0\0\x04\x73\0\0\
\0\x19\0\0\x04\x8c\0\0\0\x1a\0\0\x04\xa4\0\0\0\x1b\0\0\x04\xb9\0\0\0\x1c\0\0\
\x04\xd4\0\0\0\x1d\0\0\x04\xee\0\0\0\x1e\0\0\x05\x08\0\0\0\x1f\0\0\x05\x22\0\0\
\0\x20\0\0\x05\x3c\0\0\0\x21\0\0\x05\x4f\0\0\0\x22\0\0\x05\x62\x08\0\0\0\0\0\0\
\x16\0\0\x05\x66\x08\0\0\0\0\0\0\x17\0\0\x05\x6c\x01\0\0\0\0\0\0\x04\0\0\0\x20\
\0\0\0\0\x02\0\0\0\0\0\0\x50\0\0\0\0\x02\0\0\0\0\0\0\x4e\0\0\0\0\x02\0\0\0\0\0\
\0\x4d\0\0\x05\x79\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\x1b\0\0\0\x1d\0\0\0\x10\0\0\x05\x7e\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\x05\
\x92\x04\0\0\x04\0\0\0\x20\0\0\x01\x58\0\0\0\x1f\0\0\0\0\0\0\x05\x98\0\0\0\x25\
\0\0\0\x40\0\0\x05\xa2\0\0\0\x29\0\0\0\x60\0\0\x05\xa6\0\0\0\x2c\0\0\0\x80\0\0\
\x05\xb0\x08\0\0\0\0\0\0\x20\0\0\x05\xbe\x08\0\0\0\0\0\0\x21\0\0\0\0\x04\0\0\
\x01\0\0\0\x08\0\0\x05\xc9\0\0\0\x22\0\0\0\0\0\0\x05\xd1\x08\0\0\0\0\0\0\x23\0\
\0\x05\xd5\x08\0\0\0\0\0\0\x24\0\0\x05\xdb\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\
\x05\xe5\x08\0\0\0\0\0\0\x26\0\0\x05\xf4\x04\0\0\x01\0\0\0\x04\0\0\x06\x01\0\0\
\0\x27\0\0\0\0\0\0\x06\x0a\x08\0\0\0\0\0\0\x28\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\
\0\x06\x1a\0\0\0\x08\0\0\0\0\0\0\x06\x1f\x04\0\0\x01\0\0\0\x04\0\0\x06\x35\0\0\
\0\x2a\0\0\0\0\0\0\x06\x3a\x08\0\0\0\0\0\0\x2b\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\
\0\x05\xc9\0\0\0\x08\0\0\0\0\0\0\x06\x43\x04\0\0\x02\0\0\0\x10\0\0\x06\x4d\0\0\
\0\x2d\0\0\0\0\0\0\x06\x52\0\0\0\x2d\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x2c\0\0\
\0\0\x05\0\0\x02\0\0\0\x20\0\0\x06\x57\0\0\0\x2f\0\0\0\0\0\0\x06\x5c\0\0\0\x34\
\0\0\0\0\0\0\x06\x60\x04\0\0\x03\0\0\0\x20\0\0\x06\x6c\0\0\0\x1f\0\0\0\0\0\0\
\x06\x71\0\0\0\x2c\0\0\0\x40\0\0\x06\x77\0\0\0\x30\0\0\0\xc0\0\0\x06\x7c\x08\0\
\0\0\0\0\0\x31\0\0\0\0\x02\0\0\0\0\0\0\x32\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\
\0\0\0\x33\0\0\0\0\x02\0\0\0\0\0\0\x2f\0\0\x06\x88\x04\0\0\x02\0\0\0\x10\0\0\
\x06\x4d\0\0\0\x35\0\0\0\0\0\0\x06\x77\0\0\0\x36\0\0\0\x40\0\0\0\0\x02\0\0\0\0\
\0\0\x34\0\0\0\0\x02\0\0\0\0\0\0\x37\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x35\0\0\0\0\x04\0\0\x05\0\0\0\x18\0\0\x06\x96\0\0\0\x39\0\0\0\0\0\0\x06\x1a\0\
\0\0\x3b\0\0\0\x40\0\0\x06\xa8\0\0\0\x3e\0\0\0\x60\0\0\x06\xad\0\0\0\x3f\0\0\0\
\x80\0\0\x06\xb3\0\0\0\x3f\0\0\0\x88\0\0\0\0\x02\0\0\0\0\0\0\x3a\0\0\0\0\x0a\0\
\0\0\0\0\0\x4f\0\0\x06\xc1\x08\0\0\0\0\0\0\x3c\0\0\x06\xcc\x04\0\0\x01\0\0\0\
\x04\0\0\0\0\0\0\0\x3d\0\0\0\0\0\0\0\0\x05\0\0\x01\0\0\0\x04\0\0\x06\xd5\0\0\0\
\x26\0\0\0\0\0\0\x06\xdb\x06\0\0\x22\0\0\0\x04\0\0\x06\xe9\0\0\0\0\0\0\x06\xfe\
\0\0\0\x01\0\0\x07\x1a\0\0\0\x02\0\0\x07\x2f\0\0\0\x03\0\0\x07\x47\0\0\0\x04\0\
\0\x07\x5f\0\0\0\x05\0\0\x07\x78\0\0\0\x06\0\0\x07\x8a\0\0\0\x07\0\0\x07\xa3\0\
\0\0\x08\0\0\x07\xbc\0\0\0\x09\0\0\x07\xd6\0\0\0\x0a\0\0\x07\xeb\0\0\0\x0b\0\0\
\x08\x01\0\0\0\x0c\0\0\x08\x18\0\0\0\x0d\0\0\x08\x2f\0\0\0\x0e\0\0\x08\x44\0\0\
\0\x0f\0\0\x08\x60\0\0\0\x10\0\0\x08\x75\0\0\0\x11\0\0\x08\x92\0\0\0\x12\0\0\
\x08\xb1\0\0\0\x13\0\0\x08\xcd\0\0\0\x14\0\0\x08\xe6\0\0\0\x15\0\0\x09\x01\0\0\
\0\x16\0\0\x09\x1e\0\0\0\x17\0\0\x09\x3a\0\0\0\x18\0\0\x09\x60\0\0\0\x19\0\0\
\x09\x7d\0\0\0\x1a\0\0\x09\x93\0\0\0\x1b\0\0\x09\xac\0\0\0\x1c\0\0\x09\xbe\0\0\
\0\x1d\0\0\x09\xd0\0\0\0\x1e\0\0\x09\xe8\0\0\0\x1f\0\0\x09\xfe\0\0\0\x20\0\0\
\x0a\x16\0\0\0\x21\0\0\x0a\x2a\x08\0\0\0\0\0\0\x40\0\0\x0a\x2f\x01\0\0\0\0\0\0\
\x01\x04\0\0\x08\0\0\0\0\x02\0\0\0\0\0\0\x22\0\0\0\0\x0d\0\0\x01\0\0\0\x22\0\0\
\0\0\0\0\0\x43\0\0\0\0\x02\0\0\0\0\0\0\x44\0\0\0\0\x0a\0\0\0\0\0\0\x10\0\0\x0a\
\x35\x0c\0\0\x02\0\0\0\x42\0\0\x0a\x4c\x0e\0\0\0\0\0\0\x16\0\0\0\x01\0\0\0\0\
\x0a\0\0\0\0\0\0\x1b\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x47\0\0\0\x1d\0\0\0\x05\0\
\0\x0a\x56\x0e\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x1b\0\0\
\0\x1d\0\0\0\x04\0\0\x0a\x6a\x0e\0\0\0\0\0\0\x4a\0\0\0\x01\0\0\x0a\x73\x07\0\0\
\0\0\0\0\0\0\0\x0a\x7c\x07\0\0\0\0\0\0\0\0\0\x01\x24\x07\0\0\0\0\0\0\0\0\0\x0a\
\x87\x07\0\0\0\0\0\0\0\0\0\x0a\x90\x07\0\0\0\0\0\0\0\0\0\x0a\x9b\x07\0\0\0\0\0\
\0\0\0\0\x0b\xe5\x0f\0\0\x01\0\0\0\x04\0\0\0\x46\0\0\0\0\0\0\0\x04\0\0\x0b\xea\
\x0f\0\0\x01\0\0\0\x05\0\0\0\x49\0\0\0\0\0\0\0\x05\0\0\x0b\xf2\x0f\0\0\x01\0\0\
\0\x04\0\0\0\x4b\0\0\0\0\0\0\0\x04\0\0\x0b\xfa\x0f\0\0\x01\0\0\0\0\0\0\0\x45\0\
\0\0\0\0\0\0\0\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\x5f\x62\x70\x66\x5f\x6d\
\x61\x70\0\x6d\x65\x74\x61\0\x6d\x61\x70\0\x63\x74\x78\0\x69\x6e\x74\0\x64\x75\
\x6d\x70\x5f\x62\x70\x66\x5f\x6d\x61\x70\0\x62\x70\x66\x5f\x69\x74\x65\x72\x5f\
\x6d\x65\x74\x61\0\x73\x65\x73\x73\x69\x6f\x6e\x5f\x69\x64\0\x73\x65\x71\x5f\
\x6e\x75\x6d\0\x73\x65\x71\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\
\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\
\x6d\x61\x70\0\x6f\x70\x73\0\x69\x6e\x6e\x65\x72\x5f\x6d\x61\x70\x5f\x6d\x65\
\x74\x61\0\x73\x65\x63\x75\x72\x69\x74\x79\0\x6d\x61\x70\x5f\x74\x79\x70\x65\0\
\x6b\x65\x79\x5f\x73\x69\x7a\x65\0\x76\x61\x6c\x75\x65\x5f\x73\x69\x7a\x65\0\
\x6d\x61\x78\x5f\x65\x6e\x74\x72\x69\x65\x73\0\x6d\x61\x70\x5f\x65\x78\x74\x72\
\x61\0\x6d\x61\x70\x5f\x66\x6c\x61\x67\x73\0\x69\x64\0\x72\x65\x63\x6f\x72\x64\
\0\x6e\x75\x6d\x61\x5f\x6e\x6f\x64\x65\0\x62\x74\x66\x5f\x6b\x65\x79\x5f\x74\
\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\x61\x6c\x75\x65\x5f\x74\x79\x70\
\x65\x5f\x69\x64\0\x62\x74\x66\x5f\x76\x6d\x6c\x69\x6e\x75\x78\x5f\x76\x61\x6c\
\x75\x65\x5f\x74\x79\x70\x65\x5f\x69\x64\0\x62\x74\x66\0\x6f\x62\x6a\x63\x67\0\
\x6e\x61\x6d\x65\0\x66\x72\x65\x65\x7a\x65\x5f\x6d\x75\x74\x65\x78\0\x72\x65\
\x66\x63\x6e\x74\0\x75\x73\x65\x72\x63\x6e\x74\0\x77\x72\x69\x74\x65\x63\x6e\
\x74\0\x6f\x77\x6e\x65\x72\0\x62\x79\x70\x61\x73\x73\x5f\x73\x70\x65\x63\x5f\
\x76\x31\0\x66\x72\x6f\x7a\x65\x6e\0\x66\x72\x65\x65\x5f\x61\x66\x74\x65\x72\
\x5f\x6d\x75\x6c\x74\x5f\x72\x63\x75\x5f\x67\x70\0\x66\x72\x65\x65\x5f\x61\x66\
\x74\x65\x72\x5f\x72\x63\x75\x5f\x67\x70\0\x73\x6c\x65\x65\x70\x61\x62\x6c\x65\
\x5f\x72\x65\x66\x63\x6e\x74\0\x65\x6c\x65\x6d\x5f\x63\x6f\x75\x6e\x74\0\x62\
\x70\x66\x5f\x6d\x61\x70\x5f\x74\x79\x70\x65\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\
\x54\x59\x50\x45\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x50\x52\x4f\x47\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\x5f\x41\x52\
\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\
\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\x5f\x54\x52\x41\x43\x45\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\
\x5f\x41\x52\x52\x41\x59\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x4c\x52\x55\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x4c\x52\x55\x5f\x50\x45\x52\x43\x50\x55\x5f\x48\x41\x53\x48\0\x42\x50\
\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x4c\x50\x4d\x5f\x54\x52\x49\x45\0\
\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x41\x52\x52\x41\x59\x5f\
\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x48\x41\x53\x48\x5f\x4f\x46\x5f\x4d\x41\x50\x53\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\x56\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x50\x55\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x58\x53\x4b\x4d\x41\x50\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x48\x41\x53\x48\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\
\x4f\x52\x41\x47\x45\x5f\x44\x45\x50\x52\x45\x43\x41\x54\x45\x44\0\x42\x50\x46\
\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\
\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x52\
\x45\x55\x53\x45\x50\x4f\x52\x54\x5f\x53\x4f\x43\x4b\x41\x52\x52\x41\x59\0\x42\
\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x43\x50\x55\x5f\
\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\x47\x45\x5f\x44\x45\x50\x52\
\x45\x43\x41\x54\x45\x44\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\
\x50\x45\x52\x43\x50\x55\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x54\x4f\x52\x41\
\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x51\x55\x45\x55\
\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x54\x41\x43\x4b\
\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x53\x54\x4f\
\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x44\x45\
\x56\x4d\x41\x50\x5f\x48\x41\x53\x48\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\
\x50\x45\x5f\x53\x54\x52\x55\x43\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x4d\x41\
\x50\x5f\x54\x59\x50\x45\x5f\x52\x49\x4e\x47\x42\x55\x46\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x49\x4e\x4f\x44\x45\x5f\x53\x54\x4f\x52\x41\
\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x54\x41\x53\x4b\
\x5f\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\
\x45\x5f\x42\x4c\x4f\x4f\x4d\x5f\x46\x49\x4c\x54\x45\x52\0\x42\x50\x46\x5f\x4d\
\x41\x50\x5f\x54\x59\x50\x45\x5f\x55\x53\x45\x52\x5f\x52\x49\x4e\x47\x42\x55\
\x46\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x50\x5f\
\x53\x54\x4f\x52\x41\x47\x45\0\x42\x50\x46\x5f\x4d\x41\x50\x5f\x54\x59\x50\x45\
\x5f\x41\x52\x45\x4e\x41\0\x5f\x5f\x4d\x41\x58\x5f\x42\x50\x46\x5f\x4d\x41\x50\
\x5f\x54\x59\x50\x45\0\x75\x33\x32\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\
\x6e\x65\x64\x20\x69\x6e\x74\0\x63\x68\x61\x72\0\x5f\x5f\x41\x52\x52\x41\x59\
\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\x5f\x5f\0\x6d\x75\x74\x65\x78\0\x77\
\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\x73\x71\0\x77\x61\x69\x74\x5f\x6c\x69\
\x73\x74\0\x61\x74\x6f\x6d\x69\x63\x5f\x6c\x6f\x6e\x67\x5f\x74\0\x61\x74\x6f\
\x6d\x69\x63\x36\x34\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\
\x5f\x73\x36\x34\0\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x72\x61\x77\x5f\x73\
\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\
\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\0\x61\x72\x63\x68\x5f\x73\x70\x69\
\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x6c\x6f\x63\x6b\0\x6f\x70\x74\x69\x6d\x69\x73\
\x74\x69\x63\x5f\x73\x70\x69\x6e\x5f\x71\x75\x65\x75\x65\0\x74\x61\x69\x6c\0\
\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x6c\x69\x73\x74\x5f\x68\x65\x61\x64\0\x6e\
\x65\x78\x74\0\x70\x72\x65\x76\0\x77\x6f\x72\x6b\0\x72\x63\x75\0\x77\x6f\x72\
\x6b\x5f\x73\x74\x72\x75\x63\x74\0\x64\x61\x74\x61\0\x65\x6e\x74\x72\x79\0\x66\
\x75\x6e\x63\0\x77\x6f\x72\x6b\x5f\x66\x75\x6e\x63\x5f\x74\0\x63\x61\x6c\x6c\
\x62\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x61\x74\x74\x61\x63\x68\x5f\x66\x75\x6e\
\x63\x5f\x70\x72\x6f\x74\x6f\0\x74\x79\x70\x65\0\x6a\x69\x74\x65\x64\0\x78\x64\
\x70\x5f\x68\x61\x73\x5f\x66\x72\x61\x67\x73\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\
\x5f\x74\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x6c\x6f\x63\x6b\0\x62\x70\x66\
\x5f\x70\x72\x6f\x67\x5f\x74\x79\x70\x65\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x55\x4e\x53\x50\x45\x43\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x45\x54\x5f\x46\x49\x4c\x54\x45\x52\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4b\x50\x52\x4f\x42\
\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x43\x48\x45\
\x44\x5f\x43\x4c\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x53\x43\x48\x45\x44\x5f\x41\x43\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x42\x50\x46\x5f\x50\
\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x58\x44\x50\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x50\x45\x52\x46\x5f\x45\x56\x45\x4e\x54\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\
\x53\x4b\x42\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\
\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x4c\x57\x54\x5f\x49\x4e\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x4f\x55\x54\0\x42\x50\x46\x5f\x50\x52\x4f\
\x47\x5f\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x58\x4d\x49\x54\0\x42\x50\x46\x5f\
\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4f\x43\x4b\x5f\x4f\x50\x53\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x53\x4b\x42\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\
\x50\x5f\x44\x45\x56\x49\x43\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x53\x4b\x5f\x4d\x53\x47\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\
\x5f\x53\x4f\x43\x4b\x5f\x41\x44\x44\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\
\x54\x59\x50\x45\x5f\x4c\x57\x54\x5f\x53\x45\x47\x36\x4c\x4f\x43\x41\x4c\0\x42\
\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x49\x52\x43\x5f\x4d\
\x4f\x44\x45\x32\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\
\x4b\x5f\x52\x45\x55\x53\x45\x50\x4f\x52\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\
\x5f\x54\x59\x50\x45\x5f\x46\x4c\x4f\x57\x5f\x44\x49\x53\x53\x45\x43\x54\x4f\
\x52\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x43\x47\x52\x4f\
\x55\x50\x5f\x53\x59\x53\x43\x54\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\
\x59\x50\x45\x5f\x52\x41\x57\x5f\x54\x52\x41\x43\x45\x50\x4f\x49\x4e\x54\x5f\
\x57\x52\x49\x54\x41\x42\x4c\x45\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\
\x50\x45\x5f\x43\x47\x52\x4f\x55\x50\x5f\x53\x4f\x43\x4b\x4f\x50\x54\0\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x54\x52\x41\x43\x49\x4e\x47\0\
\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x54\x52\x55\x43\
\x54\x5f\x4f\x50\x53\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x45\x58\x54\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x4c\x53\
\x4d\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\x53\x4b\x5f\x4c\
\x4f\x4f\x4b\x55\x50\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\x5f\
\x53\x59\x53\x43\x41\x4c\x4c\0\x42\x50\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\
\x45\x5f\x4e\x45\x54\x46\x49\x4c\x54\x45\x52\0\x5f\x5f\x4d\x41\x58\x5f\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x5f\x54\x59\x50\x45\0\x62\x6f\x6f\x6c\0\x5f\x42\x6f\
\x6f\x6c\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x73\x75\x6d\x5f\x65\x6c\x65\x6d\x5f\
\x63\x6f\x75\x6e\x74\0\x74\x61\x72\x67\x65\x74\x5f\x69\x64\0\x64\x75\x6d\x70\
\x5f\x62\x70\x66\x5f\x6d\x61\x70\x2e\x5f\x5f\x5f\x66\x6d\x74\0\x5f\x6c\x69\x63\
\x65\x6e\x73\x65\0\x73\x65\x71\x5f\x66\x69\x6c\x65\0\x6f\x62\x6a\x5f\x63\x67\
\x72\x6f\x75\x70\0\x62\x74\x66\x5f\x74\x79\x70\x65\0\x62\x74\x66\x5f\x72\x65\
\x63\x6f\x72\x64\0\x62\x70\x66\x5f\x6d\x61\x70\x5f\x6f\x70\x73\0\x2f\x62\x75\
\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\
\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x35\x2e\x65\
\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x35\
\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\
\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\
\x2f\x70\x72\x6f\x67\x73\x2f\x6d\x61\x70\x5f\x70\x65\x72\x63\x70\x75\x5f\x73\
\x74\x61\x74\x73\x2e\x63\0\x09\x73\x74\x72\x75\x63\x74\x20\x73\x65\x71\x5f\x66\
\x69\x6c\x65\x20\x2a\x73\x65\x71\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6d\x65\x74\
\x61\x2d\x3e\x73\x65\x71\x3b\0\x09\x73\x74\x72\x75\x63\x74\x20\x62\x70\x66\x5f\
\x6d\x61\x70\x20\x2a\x6d\x61\x70\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6d\x61\x70\
\x3b\0\x09\x69\x66\x20\x28\x6d\x61\x70\x20\x26\x26\x20\x6d\x61\x70\x2d\x3e\x69\
\x64\x20\x3d\x3d\x20\x74\x61\x72\x67\x65\x74\x5f\x69\x64\x29\0\x09\x09\x42\x50\
\x46\x5f\x53\x45\x51\x5f\x50\x52\x49\x4e\x54\x46\x28\x73\x65\x71\x2c\x20\x22\
\x25\x6c\x6c\x64\x22\x2c\x20\x62\x70\x66\x5f\x6d\x61\x70\x5f\x73\x75\x6d\x5f\
\x65\x6c\x65\x6d\x5f\x63\x6f\x75\x6e\x74\x28\x6d\x61\x70\x29\x29\x3b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x30\x3a\x30\x3a\x30\0\x30\x3a\x31\x3a\x30\0\
\x30\x3a\x39\0\x2e\x62\x73\x73\0\x2e\x72\x6f\x64\x61\x74\x61\0\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x69\x74\x65\x72\x2f\x62\x70\x66\x5f\
\x6d\x61\x70\0\0\0\0\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\
\0\0\0\x9c\0\0\0\xb0\0\0\0\x4c\0\0\0\x08\0\0\x0c\x01\0\0\0\x01\0\0\0\0\0\0\0\
\x09\0\0\0\x10\0\0\x0c\x01\0\0\0\x09\0\0\0\0\0\0\x0a\xa7\0\0\x0b\x23\0\0\x3c\
\x1e\0\0\0\x08\0\0\x0a\xa7\0\0\x0b\x23\0\0\x3c\x24\0\0\0\x10\0\0\x0a\xa7\0\0\
\x0b\x4b\0\0\x40\x1d\0\0\0\x18\0\0\x0a\xa7\0\0\x0b\x6c\0\0\x48\x0a\0\0\0\x20\0\
\0\x0a\xa7\0\0\x0b\x6c\0\0\x48\x12\0\0\0\x28\0\0\x0a\xa7\0\0\x0b\x6c\0\0\x48\
\x18\0\0\0\x40\0\0\x0a\xa7\0\0\x0b\x6c\0\0\x48\x0a\0\0\0\x48\0\0\x0a\xa7\0\0\
\x0b\x8e\0\0\x4c\x03\0\0\0\x98\0\0\x0a\xa7\0\0\x0b\xca\0\0\x54\x02\0\0\0\x10\0\
\0\x0c\x01\0\0\0\x04\0\0\0\0\0\0\0\x02\0\0\x0b\xd5\0\0\0\0\0\0\0\x08\0\0\0\x0a\
\0\0\x0b\xd5\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\x0b\xdb\0\0\0\0\0\0\0\x20\0\0\0\
\x10\0\0\x0b\xe1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xf0\0\0\0\0\0\0\0\xd8\0\
\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\
\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\xc8\0\0\0\0\0\0\0\xa8\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1e\0\0\0\x08\0\0\0\0\0\0\0\x03\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x70\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x23\0\0\0\x01\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x02\x70\0\0\0\0\0\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\
\0\0\0\0\0\0\0\0\x2b\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x02\x75\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\
\0\0\x91\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\x80\0\0\0\
\0\0\0\0\x30\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xa2\
\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\xb0\0\0\0\0\0\0\x15\
\xea\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xa7\0\0\0\x01\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\xa0\0\0\0\0\0\0\x01\x1c\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct map_percpu_stats *map_percpu_stats::open(const struct bpf_object_open_opts *opts) { return map_percpu_stats__open_opts(opts); }
struct map_percpu_stats *map_percpu_stats::open_and_load() { return map_percpu_stats__open_and_load(); }
int map_percpu_stats::load(struct map_percpu_stats *skel) { return map_percpu_stats__load(skel); }
int map_percpu_stats::attach(struct map_percpu_stats *skel) { return map_percpu_stats__attach(skel); }
void map_percpu_stats::detach(struct map_percpu_stats *skel) { map_percpu_stats__detach(skel); }
void map_percpu_stats::destroy(struct map_percpu_stats *skel) { map_percpu_stats__destroy(skel); }
const void *map_percpu_stats::elf_bytes(size_t *sz) { return map_percpu_stats__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
map_percpu_stats__assert(struct map_percpu_stats *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->target_id) == 4, "unexpected size of 'target_id'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __MAP_PERCPU_STATS_SKEL_H__ */
