/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __EXCEPTIONS_EXT_SKEL_H__
#define __EXCEPTIONS_EXT_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct exceptions_ext {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_program *pfentry;
		struct bpf_program *throwing_fentry;
		struct bpf_program *extension;
		struct bpf_program *throwing_exception_cb_extension;
		struct bpf_program *throwing_extension;
		struct bpf_program *pfexit;
		struct bpf_program *throwing_fexit;
		struct bpf_program *pfmod_ret;
		struct bpf_program *throwing_fmod_ret;
	} progs;
	struct {
		struct bpf_link *pfentry;
		struct bpf_link *throwing_fentry;
		struct bpf_link *extension;
		struct bpf_link *throwing_exception_cb_extension;
		struct bpf_link *throwing_extension;
		struct bpf_link *pfexit;
		struct bpf_link *throwing_fexit;
		struct bpf_link *pfmod_ret;
		struct bpf_link *throwing_fmod_ret;
	} links;

#ifdef __cplusplus
	static inline struct exceptions_ext *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct exceptions_ext *open_and_load();
	static inline int load(struct exceptions_ext *skel);
	static inline int attach(struct exceptions_ext *skel);
	static inline void detach(struct exceptions_ext *skel);
	static inline void destroy(struct exceptions_ext *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
exceptions_ext__destroy(struct exceptions_ext *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
exceptions_ext__create_skeleton(struct exceptions_ext *obj);

static inline struct exceptions_ext *
exceptions_ext__open_opts(const struct bpf_object_open_opts *opts)
{
	struct exceptions_ext *obj;
	int err;

	obj = (struct exceptions_ext *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = exceptions_ext__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	exceptions_ext__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct exceptions_ext *
exceptions_ext__open(void)
{
	return exceptions_ext__open_opts(NULL);
}

static inline int
exceptions_ext__load(struct exceptions_ext *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct exceptions_ext *
exceptions_ext__open_and_load(void)
{
	struct exceptions_ext *obj;
	int err;

	obj = exceptions_ext__open();
	if (!obj)
		return NULL;
	err = exceptions_ext__load(obj);
	if (err) {
		exceptions_ext__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
exceptions_ext__attach(struct exceptions_ext *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
exceptions_ext__detach(struct exceptions_ext *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *exceptions_ext__elf_bytes(size_t *sz);

static inline int
exceptions_ext__create_skeleton(struct exceptions_ext *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "exceptions_ext";
	s->obj = &obj->obj;

	/* programs */
	s->prog_cnt = 9;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "pfentry";
	s->progs[0].prog = &obj->progs.pfentry;
	s->progs[0].link = &obj->links.pfentry;

	s->progs[1].name = "throwing_fentry";
	s->progs[1].prog = &obj->progs.throwing_fentry;
	s->progs[1].link = &obj->links.throwing_fentry;

	s->progs[2].name = "extension";
	s->progs[2].prog = &obj->progs.extension;
	s->progs[2].link = &obj->links.extension;

	s->progs[3].name = "throwing_exception_cb_extension";
	s->progs[3].prog = &obj->progs.throwing_exception_cb_extension;
	s->progs[3].link = &obj->links.throwing_exception_cb_extension;

	s->progs[4].name = "throwing_extension";
	s->progs[4].prog = &obj->progs.throwing_extension;
	s->progs[4].link = &obj->links.throwing_extension;

	s->progs[5].name = "pfexit";
	s->progs[5].prog = &obj->progs.pfexit;
	s->progs[5].link = &obj->links.pfexit;

	s->progs[6].name = "throwing_fexit";
	s->progs[6].prog = &obj->progs.throwing_fexit;
	s->progs[6].link = &obj->links.throwing_fexit;

	s->progs[7].name = "pfmod_ret";
	s->progs[7].prog = &obj->progs.pfmod_ret;
	s->progs[7].link = &obj->links.pfmod_ret;

	s->progs[8].name = "throwing_fmod_ret";
	s->progs[8].prog = &obj->progs.throwing_fmod_ret;
	s->progs[8].link = &obj->links.throwing_fmod_ret;

	s->data = exceptions_ext__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *exceptions_ext__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0e\x60\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x0f\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x2e\x74\x65\
\x78\x74\0\x3f\x66\x65\x6e\x74\x72\x79\0\x3f\x66\x72\x65\x70\x6c\x61\x63\x65\0\
\x3f\x66\x65\x78\x69\x74\0\x3f\x66\x6d\x6f\x64\x5f\x72\x65\x74\0\x6c\x69\x63\
\x65\x6e\x73\x65\0\x65\x78\x63\x65\x70\x74\x69\x6f\x6e\x73\x5f\x65\x78\x74\x2e\
\x63\0\x70\x66\x65\x6e\x74\x72\x79\0\x74\x68\x72\x6f\x77\x69\x6e\x67\x5f\x66\
\x65\x6e\x74\x72\x79\0\x62\x70\x66\x5f\x74\x68\x72\x6f\x77\0\x65\x78\x63\x65\
\x70\x74\x69\x6f\x6e\x5f\x63\x62\0\x65\x78\x74\x65\x6e\x73\x69\x6f\x6e\0\x74\
\x68\x72\x6f\x77\x69\x6e\x67\x5f\x65\x78\x63\x65\x70\x74\x69\x6f\x6e\x5f\x63\
\x62\x5f\x65\x78\x74\x65\x6e\x73\x69\x6f\x6e\0\x74\x68\x72\x6f\x77\x69\x6e\x67\
\x5f\x65\x78\x74\x65\x6e\x73\x69\x6f\x6e\0\x70\x66\x65\x78\x69\x74\0\x74\x68\
\x72\x6f\x77\x69\x6e\x67\x5f\x66\x65\x78\x69\x74\0\x70\x66\x6d\x6f\x64\x5f\x72\
\x65\x74\0\x74\x68\x72\x6f\x77\x69\x6e\x67\x5f\x66\x6d\x6f\x64\x5f\x72\x65\x74\
\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\
\x79\0\x2e\x72\x65\x6c\x3f\x66\x72\x65\x70\x6c\x61\x63\x65\0\x2e\x72\x65\x6c\
\x3f\x66\x65\x78\x69\x74\0\x2e\x72\x65\x6c\x3f\x66\x6d\x6f\x64\x5f\x72\x65\x74\
\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x42\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\
\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x53\x12\0\0\x04\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x10\0\0\0\x5b\x12\0\0\x04\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x20\0\0\
\0\x6b\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x75\x12\0\0\x03\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x82\x12\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x10\0\0\0\x8c\x12\0\0\x05\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x20\0\0\0\xac\x12\0\
\0\x05\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\x20\0\0\0\xbf\x12\0\0\x06\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\x10\0\0\0\xc6\x12\0\0\x06\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x20\
\0\0\0\xd5\x12\0\0\x07\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\xdf\x12\0\0\x07\
\0\0\0\0\0\0\0\x10\0\0\0\0\0\0\0\x20\0\0\0\xf1\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x04\xbf\x01\0\0\0\0\0\0\x07\0\0\0\0\0\0\x40\x95\0\0\0\0\0\0\0\xb7\0\
\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\
\x10\0\0\0\0\0\x20\x85\x01\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\
\0\0\xb7\x10\0\0\0\0\0\x40\x85\x01\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x85\x01\0\
\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\xb7\x10\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\xb7\0\0\0\0\0\0\0\
\x95\0\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x09\0\0\0\x0a\
\0\0\0\0\0\0\0\x18\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x38\0\0\0\x09\0\0\0\x0a\0\
\0\0\0\0\0\0\x18\0\0\0\x09\0\0\0\x0a\0\0\0\0\0\0\0\x18\0\0\0\x09\0\0\0\x0a\xeb\
\x9f\x01\0\0\0\0\x18\0\0\0\0\0\0\x04\x28\0\0\x04\x28\0\0\x03\xb0\0\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\x01\0\0\0\x01\0\0\0\x05\x01\0\
\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x02\0\0\0\x11\x0c\0\0\
\x01\0\0\0\x02\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x07\0\0\0\x21\x08\0\0\
\0\0\0\0\x08\0\0\0\x25\x08\0\0\0\0\0\0\x09\0\0\0\x2b\x01\0\0\0\0\0\0\x08\0\0\0\
\x40\0\0\0\x3e\x0c\0\0\x02\0\0\0\x06\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\x48\0\
\0\0\x07\0\0\0\x4f\x0c\0\0\x01\0\0\0\x0b\0\0\0\0\x02\0\0\0\0\0\0\x0e\0\0\0\x5c\
\x04\0\0\x22\0\0\0\xc0\0\0\0\x66\0\0\0\x0f\0\0\0\0\0\0\0\x6a\0\0\0\x0f\0\0\0\
\x20\0\0\0\x73\0\0\0\x0f\0\0\0\x40\0\0\0\x78\0\0\0\x0f\0\0\0\x60\0\0\0\x86\0\0\
\0\x0f\0\0\0\x80\0\0\0\x8f\0\0\0\x0f\0\0\0\xa0\0\0\0\x9c\0\0\0\x0f\0\0\0\xc0\0\
\0\0\xa5\0\0\0\x0f\0\0\0\xe0\0\0\0\xb0\0\0\0\x0f\0\0\x01\0\0\0\0\xb9\0\0\0\x0f\
\0\0\x01\x20\0\0\0\xc9\0\0\0\x0f\0\0\x01\x40\0\0\0\xd1\0\0\0\x0f\0\0\x01\x60\0\
\0\0\xda\0\0\0\x11\0\0\x01\x80\0\0\0\xdd\0\0\0\x0f\0\0\x02\x20\0\0\0\xe2\0\0\0\
\x0f\0\0\x02\x40\0\0\0\xed\0\0\0\x0f\0\0\x02\x60\0\0\0\xf2\0\0\0\x0f\0\0\x02\
\x80\0\0\0\xfb\0\0\0\x0f\0\0\x02\xa0\0\0\x01\x03\0\0\0\x0f\0\0\x02\xc0\0\0\x01\
\x0a\0\0\0\x0f\0\0\x02\xe0\0\0\x01\x15\0\0\0\x0f\0\0\x03\0\0\0\x01\x1f\0\0\0\
\x13\0\0\x03\x20\0\0\x01\x2a\0\0\0\x13\0\0\x03\xa0\0\0\x01\x34\0\0\0\x0f\0\0\
\x04\x20\0\0\x01\x40\0\0\0\x0f\0\0\x04\x40\0\0\x01\x4b\0\0\0\x0f\0\0\x04\x60\0\
\0\0\0\0\0\0\x14\0\0\x04\x80\0\0\x01\x55\0\0\0\x08\0\0\x04\xc0\0\0\x01\x5c\0\0\
\0\x0f\0\0\x05\0\0\0\x01\x65\0\0\0\x0f\0\0\x05\x20\0\0\0\0\0\0\0\x16\0\0\x05\
\x40\0\0\x01\x6e\0\0\0\x0f\0\0\x05\x80\0\0\x01\x77\0\0\0\x18\0\0\x05\xa0\0\0\
\x01\x83\0\0\0\x08\0\0\x05\xc0\0\0\x01\x8c\x08\0\0\0\0\0\0\x10\0\0\x01\x92\x01\
\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x0f\0\0\0\x12\0\0\0\
\x05\0\0\x01\x9f\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\x0f\0\0\0\x12\0\0\0\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\xb3\0\0\0\x15\0\
\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x28\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\x01\xbd\0\
\0\0\x17\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x27\0\0\x01\xc0\x08\0\0\0\0\0\0\x19\0\
\0\x01\xc5\x01\0\0\0\0\0\0\x01\0\0\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x03\0\0\0\
\x01\0\0\0\x0d\0\0\x01\xd3\x0c\0\0\x01\0\0\0\x1a\0\0\x01\xdd\x0c\0\0\x01\0\0\0\
\x0b\0\0\x01\xfd\x11\0\0\0\0\0\0\x1c\xff\xff\xff\xff\0\0\x02\x1d\x0c\0\0\x01\0\
\0\0\x1a\0\0\x01\xfd\x11\0\0\0\0\0\0\x1e\xff\xff\xff\xff\0\0\x02\x30\x0c\0\0\
\x01\0\0\0\x02\0\0\x02\x37\x0c\0\0\x01\0\0\0\x02\0\0\x02\x46\x0c\0\0\x01\0\0\0\
\x02\0\0\x02\x50\x0c\0\0\x01\0\0\0\x02\0\0\x02\x62\x01\0\0\0\0\0\0\x01\x01\0\0\
\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x24\0\0\0\x12\0\0\0\x04\0\0\x02\x67\x0e\0\
\0\0\0\0\0\x25\0\0\0\x01\0\0\x02\x70\x07\0\0\0\0\0\0\0\0\0\x02\x79\x07\0\0\0\0\
\0\0\0\0\0\x03\x78\x0f\0\0\x01\0\0\0\x04\0\0\0\x26\0\0\0\0\0\0\0\x04\0\0\x03\
\x80\x0f\0\0\x01\0\0\0\0\0\0\0\x0a\0\0\0\0\0\0\0\0\0\x63\x74\x78\0\x69\x6e\x74\
\0\x70\x66\x65\x6e\x74\x72\x79\0\x74\x68\x72\x6f\x77\x69\x6e\x67\x5f\x66\x65\
\x6e\x74\x72\x79\0\x75\x36\x34\0\x5f\x5f\x75\x36\x34\0\x75\x6e\x73\x69\x67\x6e\
\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x62\x70\x66\x5f\x74\x68\x72\
\x6f\x77\0\x63\x6f\x6f\x6b\x69\x65\0\x65\x78\x63\x65\x70\x74\x69\x6f\x6e\x5f\
\x63\x62\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\x5f\
\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\x70\
\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\x72\
\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\x5f\
\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\x65\
\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\x74\
\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\x6c\
\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\x6e\
\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\x65\
\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\x64\
\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\x65\
\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\x69\
\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\x74\
\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\x45\
\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x73\x6b\0\x5f\x5f\x75\x38\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x65\x78\x74\x65\x6e\x73\
\x69\x6f\x6e\0\x74\x68\x72\x6f\x77\x69\x6e\x67\x5f\x65\x78\x63\x65\x70\x74\x69\
\x6f\x6e\x5f\x63\x62\x5f\x65\x78\x74\x65\x6e\x73\x69\x6f\x6e\0\x65\x78\x63\x65\
\x70\x74\x69\x6f\x6e\x5f\x63\x61\x6c\x6c\x62\x61\x63\x6b\x3a\x65\x78\x63\x65\
\x70\x74\x69\x6f\x6e\x5f\x63\x62\0\x74\x68\x72\x6f\x77\x69\x6e\x67\x5f\x65\x78\
\x74\x65\x6e\x73\x69\x6f\x6e\0\x70\x66\x65\x78\x69\x74\0\x74\x68\x72\x6f\x77\
\x69\x6e\x67\x5f\x66\x65\x78\x69\x74\0\x70\x66\x6d\x6f\x64\x5f\x72\x65\x74\0\
\x74\x68\x72\x6f\x77\x69\x6e\x67\x5f\x66\x6d\x6f\x64\x5f\x72\x65\x74\0\x63\x68\
\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\
\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x2f\x62\x75\x69\x6c\x64\
\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\
\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x35\x2e\x65\x6c\x39\x2f\
\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x35\x2e\x65\x6c\
\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\
\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\
\x6f\x67\x73\x2f\x65\x78\x63\x65\x70\x74\x69\x6f\x6e\x73\x5f\x65\x78\x74\x2e\
\x63\0\x5f\x5f\x6e\x6f\x69\x6e\x6c\x69\x6e\x65\x20\x69\x6e\x74\x20\x65\x78\x63\
\x65\x70\x74\x69\x6f\x6e\x5f\x63\x62\x28\x75\x36\x34\x20\x63\x6f\x6f\x6b\x69\
\x65\x29\0\x09\x72\x65\x74\x75\x72\x6e\x20\x63\x6f\x6f\x6b\x69\x65\x20\x2b\x20\
\x36\x34\x3b\0\x09\x72\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x09\x62\x70\x66\x5f\
\x74\x68\x72\x6f\x77\x28\x30\x29\x3b\0\x09\x62\x70\x66\x5f\x74\x68\x72\x6f\x77\
\x28\x33\x32\x29\x3b\0\x09\x62\x70\x66\x5f\x74\x68\x72\x6f\x77\x28\x36\x34\x29\
\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x6b\x73\x79\x6d\x73\0\x2e\x74\x65\x78\
\x74\0\x3f\x66\x65\x6e\x74\x72\x79\0\x3f\x66\x72\x65\x70\x6c\x61\x63\x65\0\x3f\
\x66\x65\x78\x69\x74\0\x3f\x66\x6d\x6f\x64\x5f\x72\x65\x74\0\xeb\x9f\x01\0\0\0\
\0\x20\0\0\0\0\0\0\0\x7c\0\0\0\x7c\0\0\x01\x3c\0\0\x01\xb8\0\0\0\0\0\0\0\x08\0\
\0\x03\x87\0\0\0\x01\0\0\0\0\0\0\0\x0c\0\0\x03\x8d\0\0\0\x02\0\0\0\0\0\0\0\x04\
\0\0\0\x10\0\0\0\x05\0\0\x03\x95\0\0\0\x03\0\0\0\0\0\0\0\x1b\0\0\0\x10\0\0\0\
\x1c\0\0\0\x30\0\0\0\x1e\0\0\x03\x9f\0\0\0\x02\0\0\0\0\0\0\0\x20\0\0\0\x10\0\0\
\0\x21\0\0\x03\xa6\0\0\0\x02\0\0\0\0\0\0\0\x22\0\0\0\x10\0\0\0\x23\0\0\0\x10\0\
\0\x03\x87\0\0\0\x03\0\0\0\0\0\0\x02\x87\0\0\x03\x01\0\0\x4c\0\0\0\0\x08\0\0\
\x02\x87\0\0\x03\x29\0\0\x54\x09\0\0\0\x10\0\0\x02\x87\0\0\x03\x29\0\0\x54\x02\
\0\0\x03\x8d\0\0\0\x03\0\0\0\0\0\0\x02\x87\0\0\x03\x3e\0\0\x24\x02\0\0\0\x10\0\
\0\x02\x87\0\0\x03\x49\0\0\x3c\x02\0\0\0\x20\0\0\x02\x87\0\0\x03\x3e\0\0\x40\
\x02\0\0\x03\x95\0\0\0\x05\0\0\0\0\0\0\x02\x87\0\0\x03\x3e\0\0\x6c\x02\0\0\0\
\x10\0\0\x02\x87\0\0\x03\x58\0\0\x88\x02\0\0\0\x20\0\0\x02\x87\0\0\x03\x3e\0\0\
\x8c\x02\0\0\0\x30\0\0\x02\x87\0\0\x03\x68\0\0\xa8\x02\0\0\0\x40\0\0\x02\x87\0\
\0\x03\x3e\0\0\xac\x02\0\0\x03\x9f\0\0\0\x03\0\0\0\0\0\0\x02\x87\0\0\x03\x3e\0\
\0\xc4\x02\0\0\0\x10\0\0\x02\x87\0\0\x03\x49\0\0\xdc\x02\0\0\0\x20\0\0\x02\x87\
\0\0\x03\x3e\0\0\xe0\x02\0\0\x03\xa6\0\0\0\x03\0\0\0\0\0\0\x02\x87\0\0\x03\x3e\
\0\0\xf8\x02\0\0\0\x10\0\0\x02\x87\0\0\x03\x49\0\x01\x10\x02\0\0\0\x20\0\0\x02\
\x87\0\0\x03\x3e\0\x01\x14\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\
\0\0\0\0\x01\x3b\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\x80\0\0\0\0\0\0\x01\
\xc8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\
\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x48\0\0\0\0\0\0\0\x18\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x17\0\0\0\x01\0\0\0\0\0\0\0\
\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x60\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x1f\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x03\x90\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\0\0\0\0\x29\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\xe0\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\
\0\0\0\0\x30\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x10\0\
\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x3a\0\
\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x40\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\xfa\0\0\0\x09\0\0\
\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x48\0\0\0\0\0\0\0\x10\0\0\0\x02\
\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x06\0\0\0\x09\0\0\0\0\0\
\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x58\0\0\0\0\0\0\0\x20\0\0\0\x02\0\0\0\
\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x14\0\0\0\x09\0\0\0\0\0\0\0\
\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x78\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x06\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x1f\0\0\0\x09\0\0\0\0\0\0\0\x40\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x88\0\0\0\0\0\0\0\x10\0\0\0\x02\0\0\0\x07\0\0\0\
\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x2d\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\x04\x98\0\0\0\0\0\0\x07\xf0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0\0\0\x01\x32\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x0c\x88\0\0\0\0\0\0\x01\xd8\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\
\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct exceptions_ext *exceptions_ext::open(const struct bpf_object_open_opts *opts) { return exceptions_ext__open_opts(opts); }
struct exceptions_ext *exceptions_ext::open_and_load() { return exceptions_ext__open_and_load(); }
int exceptions_ext::load(struct exceptions_ext *skel) { return exceptions_ext__load(skel); }
int exceptions_ext::attach(struct exceptions_ext *skel) { return exceptions_ext__attach(skel); }
void exceptions_ext::detach(struct exceptions_ext *skel) { exceptions_ext__detach(skel); }
void exceptions_ext::destroy(struct exceptions_ext *skel) { exceptions_ext__destroy(skel); }
const void *exceptions_ext::elf_bytes(size_t *sz) { return exceptions_ext__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
exceptions_ext__assert(struct exceptions_ext *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __EXCEPTIONS_EXT_SKEL_H__ */
