/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_FSVERITY_SKEL_H__
#define __TEST_FSVERITY_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_fsverity {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *test_file_open;
	} progs;
	struct {
		struct bpf_link *test_file_open;
	} links;
	struct test_fsverity__bss {
		char expected_digest[36];
		char digest[36];
		__u32 monitored_pid;
		__u32 got_fsverity;
		__u32 digest_matches;
	} *bss;

#ifdef __cplusplus
	static inline struct test_fsverity *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_fsverity *open_and_load();
	static inline int load(struct test_fsverity *skel);
	static inline int attach(struct test_fsverity *skel);
	static inline void detach(struct test_fsverity *skel);
	static inline void destroy(struct test_fsverity *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_fsverity__destroy(struct test_fsverity *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_fsverity__create_skeleton(struct test_fsverity *obj);

static inline struct test_fsverity *
test_fsverity__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_fsverity *obj;
	int err;

	obj = (struct test_fsverity *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_fsverity__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_fsverity__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_fsverity *
test_fsverity__open(void)
{
	return test_fsverity__open_opts(NULL);
}

static inline int
test_fsverity__load(struct test_fsverity *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_fsverity *
test_fsverity__open_and_load(void)
{
	struct test_fsverity *obj;
	int err;

	obj = test_fsverity__open();
	if (!obj)
		return NULL;
	err = test_fsverity__load(obj);
	if (err) {
		test_fsverity__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_fsverity__attach(struct test_fsverity *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_fsverity__detach(struct test_fsverity *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_fsverity__elf_bytes(size_t *sz);

static inline int
test_fsverity__create_skeleton(struct test_fsverity *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_fsverity";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 1;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_fsv.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 1;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "test_file_open";
	s->progs[0].prog = &obj->progs.test_file_open;
	s->progs[0].link = &obj->links.test_file_open;

	s->data = test_fsverity__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_fsverity__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x13\x70\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x09\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x6c\x73\x6d\
\x2e\x73\x2f\x66\x69\x6c\x65\x5f\x6f\x70\x65\x6e\0\x6c\x69\x63\x65\x6e\x73\x65\
\0\x2e\x62\x73\x73\0\x74\x65\x73\x74\x5f\x66\x73\x76\x65\x72\x69\x74\x79\x2e\
\x63\0\x74\x65\x73\x74\x5f\x66\x69\x6c\x65\x5f\x6f\x70\x65\x6e\0\x6d\x6f\x6e\
\x69\x74\x6f\x72\x65\x64\x5f\x70\x69\x64\0\x64\x69\x67\x65\x73\x74\0\x62\x70\
\x66\x5f\x67\x65\x74\x5f\x66\x73\x76\x65\x72\x69\x74\x79\x5f\x64\x69\x67\x65\
\x73\x74\0\x67\x6f\x74\x5f\x66\x73\x76\x65\x72\x69\x74\x79\0\x65\x78\x70\x65\
\x63\x74\x65\x64\x5f\x64\x69\x67\x65\x73\x74\0\x64\x69\x67\x65\x73\x74\x5f\x6d\
\x61\x74\x63\x68\x65\x73\0\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x72\x65\x6c\
\x6c\x73\x6d\x2e\x73\x2f\x66\x69\x6c\x65\x5f\x6f\x70\x65\x6e\0\x2e\x42\x54\x46\
\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x2e\x04\0\xff\xf1\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x3e\x12\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x01\x68\0\0\0\x4d\x11\0\0\x05\0\0\0\0\0\0\0\x48\0\0\0\0\
\0\0\0\x04\0\0\0\x5b\x11\0\0\x05\0\0\0\0\0\0\0\x24\0\0\0\0\0\0\0\x24\0\0\0\x62\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7a\x11\0\0\x05\0\0\0\0\0\0\0\
\x4c\0\0\0\0\0\0\0\x04\0\0\0\x87\x11\0\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x24\
\0\0\0\x97\x11\0\0\x05\0\0\0\0\0\0\0\x50\0\0\0\0\0\0\0\x04\0\0\0\xa6\x11\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\x79\x61\0\0\0\0\0\0\x85\0\0\0\0\0\0\x0e\
\x77\0\0\0\0\0\0\x20\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\
\x5d\x10\0\x24\0\0\0\0\xb7\x80\0\0\0\0\0\0\xbf\x7a\0\0\0\0\0\0\x07\x70\0\0\xff\
\xff\xff\xf0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x24\xb7\x30\
\0\0\0\0\0\0\xbf\x47\0\0\0\0\0\0\x85\0\0\0\0\0\0\xc5\xbf\x16\0\0\0\0\0\0\xbf\
\x27\0\0\0\0\0\0\x85\x01\0\0\xff\xff\xff\xff\x67\0\0\0\0\0\0\x20\xc7\0\0\0\0\0\
\0\x20\xc5\0\0\x15\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb7\x20\0\0\0\0\
\0\x01\x63\x12\0\0\0\0\0\0\x05\0\0\x02\0\0\0\0\x07\x80\0\0\0\0\0\x01\x15\x80\0\
\x0a\0\0\0\x24\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x18\0\0\0\0\0\0\x18\x20\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x0f\x28\0\0\0\0\0\0\x71\x22\0\0\0\0\0\0\x71\x11\0\
\0\0\0\0\0\x1d\x12\xff\xf5\0\0\0\0\x05\0\0\x04\0\0\0\0\x18\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\xb7\x20\0\0\0\0\0\x01\x63\x12\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\
\0\0\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\x18\0\0\0\x04\0\0\0\x01\0\0\0\
\0\0\0\0\x50\0\0\0\x05\0\0\0\x01\0\0\0\0\0\0\0\x90\0\0\0\x06\0\0\0\x0a\0\0\0\0\
\0\0\0\xb0\0\0\0\x07\0\0\0\x01\0\0\0\0\0\0\0\xe8\0\0\0\x05\0\0\0\x01\0\0\0\0\0\
\0\x01\0\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\x01\x38\0\0\0\x09\0\0\0\x01\xeb\x9f\
\x01\0\0\0\0\x18\0\0\0\0\0\0\x07\xf0\0\0\x07\xf0\0\0\x06\x08\0\0\0\0\x02\0\0\0\
\0\0\0\x02\0\0\0\x01\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\
\x04\0\0\0\x14\0\0\0\x01\0\0\0\x18\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x1c\
\x0c\0\0\x01\0\0\0\x03\0\0\0\0\x0d\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x07\0\0\0\0\
\0\0\0\x44\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\x2b\x04\0\0\x14\0\0\0\xe8\0\0\0\
\x30\0\0\0\x09\0\0\0\0\0\0\0\x34\0\0\0\x10\0\0\0\x80\0\0\0\x3b\0\0\0\x13\0\0\
\x01\0\0\0\0\x43\0\0\0\x14\0\0\x01\x40\0\0\0\x48\0\0\0\x16\0\0\x01\x80\0\0\0\
\x4f\0\0\0\x1c\0\0\x01\xc0\0\0\0\x57\0\0\0\x22\0\0\x02\0\0\0\0\x5f\0\0\0\x23\0\
\0\x02\x20\0\0\0\x66\0\0\0\x24\0\0\x02\x40\0\0\0\x71\0\0\0\x2b\0\0\x03\x40\0\0\
\0\x77\0\0\0\x2d\0\0\x03\x80\0\0\0\x7f\0\0\0\x38\0\0\x04\x80\0\0\0\x86\0\0\0\
\x3a\0\0\x04\xc0\0\0\0\x8b\0\0\0\x3c\0\0\x05\xc0\0\0\0\x95\0\0\0\x3e\0\0\x06\0\
\0\0\0\xa0\0\0\0\x3e\0\0\x06\x40\0\0\0\xad\0\0\0\x3f\0\0\x06\x80\0\0\0\xb2\0\0\
\0\x40\0\0\x06\xc0\0\0\0\xbc\0\0\0\x41\0\0\x07\0\0\0\0\xc5\0\0\0\x41\0\0\x07\
\x20\0\0\0\0\x05\0\0\x02\0\0\0\x10\0\0\0\xce\0\0\0\x0a\0\0\0\0\0\0\0\xd7\0\0\0\
\x0c\0\0\0\0\0\0\0\xe2\x04\0\0\x01\0\0\0\x08\0\0\0\xed\0\0\0\x0b\0\0\0\0\0\0\0\
\0\x02\0\0\0\0\0\0\x0a\0\0\0\xf2\x04\0\0\x02\0\0\0\x10\0\0\0\xed\0\0\0\x0d\0\0\
\0\0\0\0\x01\0\0\0\0\x0e\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\0\x02\0\0\
\0\0\0\0\x0f\0\0\0\0\x0d\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\x05\x04\0\0\
\x02\0\0\0\x10\0\0\x01\x0a\0\0\0\x11\0\0\0\0\0\0\x01\x0e\0\0\0\x12\0\0\0\x40\0\
\0\0\0\x02\0\0\0\0\0\0\x53\0\0\0\0\x02\0\0\0\0\0\0\x54\0\0\0\0\x02\0\0\0\0\0\0\
\x52\0\0\0\0\x02\0\0\0\0\0\0\x15\0\0\0\0\x0a\0\0\0\0\0\0\x56\0\0\x01\x15\x08\0\
\0\0\0\0\0\x17\0\0\x01\x20\x04\0\0\x01\0\0\0\x04\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\
\0\0\x05\0\0\x01\0\0\0\x04\0\0\x01\x29\0\0\0\x19\0\0\0\0\0\0\x01\x2f\x04\0\0\
\x01\0\0\0\x04\0\0\x01\x3c\0\0\0\x1a\0\0\0\0\0\0\x01\x45\x08\0\0\0\0\0\0\x1b\0\
\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x01\x55\0\0\0\x04\0\0\0\0\0\0\x01\x5a\x08\0\0\
\0\0\0\0\x1d\0\0\x01\x68\x08\0\0\0\0\0\0\x1e\0\0\0\0\x04\0\0\x01\0\0\0\x08\0\0\
\x01\x73\0\0\0\x1f\0\0\0\0\0\0\x01\x7b\x08\0\0\0\0\0\0\x20\0\0\x01\x7f\x08\0\0\
\0\0\0\0\x21\0\0\x01\x85\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\x01\x8f\x01\0\0\0\
\0\0\0\x04\0\0\0\x20\0\0\x01\x9c\x08\0\0\0\0\0\0\x22\0\0\x01\xa4\x04\0\0\x04\0\
\0\0\x20\0\0\x01\xaa\0\0\0\x1c\0\0\0\0\0\0\x01\xb0\0\0\0\x25\0\0\0\x40\0\0\x01\
\xba\0\0\0\x26\0\0\0\x60\0\0\x01\xbe\0\0\0\x29\0\0\0\x80\0\0\x01\xc8\x08\0\0\0\
\0\0\0\x19\0\0\x01\xd7\x04\0\0\x01\0\0\0\x04\0\0\x01\xed\0\0\0\x27\0\0\0\0\0\0\
\x01\xf2\x08\0\0\0\0\0\0\x28\0\0\0\0\x04\0\0\x01\0\0\0\x04\0\0\x01\x73\0\0\0\
\x04\0\0\0\0\0\0\x01\xfb\x04\0\0\x02\0\0\0\x10\0\0\0\xed\0\0\0\x2a\0\0\0\0\0\0\
\x02\x05\0\0\0\x2a\0\0\0\x40\0\0\0\0\x02\0\0\0\0\0\0\x29\0\0\x02\x0a\x08\0\0\0\
\0\0\0\x2c\0\0\x02\x11\x08\0\0\0\0\0\0\x21\0\0\x02\x21\x04\0\0\x06\0\0\0\x20\0\
\0\x01\x55\0\0\0\x2e\0\0\0\0\0\0\x02\x2d\0\0\0\x32\0\0\0\x40\0\0\x02\x31\0\0\0\
\x33\0\0\0\x80\0\0\x02\x3a\0\0\0\x34\0\0\0\xa0\0\0\x02\x3e\0\0\0\x34\0\0\0\xc0\
\0\0\x02\x43\0\0\0\x04\0\0\0\xe0\0\0\x02\x4a\x08\0\0\0\0\0\0\x2f\0\0\0\0\x04\0\
\0\x01\0\0\0\x08\0\0\x01\x3c\0\0\0\x30\0\0\0\0\0\0\x02\x53\x08\0\0\0\0\0\0\x31\
\0\0\0\0\x04\0\0\x02\0\0\0\x08\0\0\x02\x61\0\0\0\x04\0\0\0\0\0\0\x02\x66\0\0\0\
\x1a\0\0\0\x20\0\0\0\0\x02\0\0\0\0\0\0\x58\0\0\x02\x31\x06\0\0\x05\0\0\0\x04\0\
\0\x02\x6b\0\0\0\0\0\0\x02\x77\0\0\0\x01\0\0\x02\x84\0\0\0\x02\0\0\x02\x91\0\0\
\0\x03\0\0\x02\x9d\0\0\0\x04\0\0\x02\xa9\x08\0\0\0\0\0\0\x35\0\0\0\0\x04\0\0\
\x01\0\0\0\x04\0\0\x02\xb0\0\0\0\x36\0\0\0\0\0\0\x02\xb4\x08\0\0\0\0\0\0\x37\0\
\0\x02\xba\x08\0\0\0\0\0\0\x22\0\0\0\0\x02\0\0\0\0\0\0\x39\0\0\0\0\x0a\0\0\0\0\
\0\0\x59\0\0\x02\xcb\x04\0\0\x06\0\0\0\x20\0\0\x02\xd9\0\0\0\x3b\0\0\0\0\0\0\
\x02\xdf\0\0\0\x22\0\0\0\x40\0\0\x02\xe4\0\0\0\x22\0\0\0\x60\0\0\x02\xef\0\0\0\
\x22\0\0\0\x80\0\0\x02\xf8\0\0\0\x22\0\0\0\xa0\0\0\x03\x02\0\0\0\x2b\0\0\0\xc0\
\0\0\x03\x0b\x01\0\0\0\0\0\0\x08\0\0\0\x40\0\0\x03\x19\x08\0\0\0\0\0\0\x3d\0\0\
\x03\x1d\x08\0\0\0\0\0\0\x02\0\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\
\x57\0\0\0\0\x02\0\0\0\0\0\0\x55\0\0\x03\x23\x08\0\0\0\0\0\0\x42\0\0\x03\x2c\
\x08\0\0\0\0\0\0\x43\0\0\x03\x30\x08\0\0\0\0\0\0\x22\0\0\0\0\x02\0\0\0\0\0\0\
\x45\0\0\x03\x36\x04\0\0\x01\0\0\0\x10\0\0\x03\x41\0\0\0\x46\0\0\0\0\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x3d\0\0\0\x47\0\0\0\x02\0\0\x03\x4a\x01\0\0\0\0\0\0\
\x04\0\0\0\x20\0\0\x03\x5e\x0c\0\0\x02\0\0\0\x06\0\0\x03\x76\x01\0\0\0\0\0\0\
\x01\x01\0\0\x08\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x49\0\0\0\x47\0\0\0\x04\0\0\
\x03\x7b\x0e\0\0\0\0\0\0\x4a\0\0\0\x01\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\x49\0\0\
\0\x47\0\0\0\x24\0\0\x03\x84\x0e\0\0\0\0\0\0\x4c\0\0\0\x01\0\0\x03\x94\x0e\0\0\
\0\0\0\0\x4c\0\0\0\x01\0\0\x03\x9b\x0e\0\0\0\0\0\0\x43\0\0\0\x01\0\0\x03\xa9\
\x0e\0\0\0\0\0\0\x43\0\0\0\x01\0\0\x03\xb6\x0e\0\0\0\0\0\0\x43\0\0\0\x01\0\0\
\x03\xc5\x07\0\0\0\0\0\0\0\0\0\x03\xcb\x07\0\0\0\0\0\0\0\0\0\x01\x0e\x07\0\0\0\
\0\0\0\0\0\0\x03\xd4\x07\0\0\0\0\0\0\0\0\0\x03\xe2\x07\0\0\0\0\0\0\0\0\0\x03\
\xf2\x07\0\0\0\0\0\0\0\0\0\x02\x2d\x07\0\0\0\0\0\0\0\0\0\x03\xfd\x07\0\0\0\0\0\
\0\0\0\0\x05\xe4\x0f\0\0\x01\0\0\0\x04\0\0\0\x4b\0\0\0\0\0\0\0\x04\0\0\x05\xec\
\x0f\0\0\x05\0\0\0\x54\0\0\0\x4d\0\0\0\0\0\0\0\x24\0\0\0\x4e\0\0\0\x24\0\0\0\
\x24\0\0\0\x4f\0\0\0\x48\0\0\0\x04\0\0\0\x50\0\0\0\x4c\0\0\0\x04\0\0\0\x51\0\0\
\0\x50\0\0\0\x04\0\0\x05\xf1\x0f\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\
\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x63\
\x74\x78\0\x69\x6e\x74\0\x74\x65\x73\x74\x5f\x66\x69\x6c\x65\x5f\x6f\x70\x65\
\x6e\0\x66\x69\x6c\x65\0\x66\x5f\x75\0\x66\x5f\x70\x61\x74\x68\0\x66\x5f\x69\
\x6e\x6f\x64\x65\0\x66\x5f\x6f\x70\0\x66\x5f\x6c\x6f\x63\x6b\0\x66\x5f\x63\x6f\
\x75\x6e\x74\0\x66\x5f\x66\x6c\x61\x67\x73\0\x66\x5f\x6d\x6f\x64\x65\0\x66\x5f\
\x70\x6f\x73\x5f\x6c\x6f\x63\x6b\0\x66\x5f\x70\x6f\x73\0\x66\x5f\x6f\x77\x6e\
\x65\x72\0\x66\x5f\x63\x72\x65\x64\0\x66\x5f\x72\x61\0\x66\x5f\x76\x65\x72\x73\
\x69\x6f\x6e\0\x66\x5f\x73\x65\x63\x75\x72\x69\x74\x79\0\x70\x72\x69\x76\x61\
\x74\x65\x5f\x64\x61\x74\x61\0\x66\x5f\x65\x70\0\x66\x5f\x6d\x61\x70\x70\x69\
\x6e\x67\0\x66\x5f\x77\x62\x5f\x65\x72\x72\0\x66\x5f\x73\x62\x5f\x65\x72\x72\0\
\x66\x75\x5f\x6c\x6c\x69\x73\x74\0\x66\x75\x5f\x72\x63\x75\x68\x65\x61\x64\0\
\x6c\x6c\x69\x73\x74\x5f\x6e\x6f\x64\x65\0\x6e\x65\x78\x74\0\x63\x61\x6c\x6c\
\x62\x61\x63\x6b\x5f\x68\x65\x61\x64\0\x66\x75\x6e\x63\0\x70\x61\x74\x68\0\x6d\
\x6e\x74\0\x64\x65\x6e\x74\x72\x79\0\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\
\x73\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x73\
\x70\x69\x6e\x6c\x6f\x63\x6b\0\x72\x61\x77\x5f\x6c\x6f\x63\x6b\0\x61\x72\x63\
\x68\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\x6c\x6f\x63\x6b\0\x61\x74\
\x6f\x6d\x69\x63\x5f\x6c\x6f\x6e\x67\x5f\x74\0\x61\x74\x6f\x6d\x69\x63\x36\x34\
\x5f\x74\0\x63\x6f\x75\x6e\x74\x65\x72\0\x73\x36\x34\0\x5f\x5f\x73\x36\x34\0\
\x6c\x6f\x6e\x67\x20\x6c\x6f\x6e\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x69\
\x6e\x74\0\x66\x6d\x6f\x64\x65\x5f\x74\0\x6d\x75\x74\x65\x78\0\x6f\x77\x6e\x65\
\x72\0\x77\x61\x69\x74\x5f\x6c\x6f\x63\x6b\0\x6f\x73\x71\0\x77\x61\x69\x74\x5f\
\x6c\x69\x73\x74\0\x72\x61\x77\x5f\x73\x70\x69\x6e\x6c\x6f\x63\x6b\x5f\x74\0\
\x6f\x70\x74\x69\x6d\x69\x73\x74\x69\x63\x5f\x73\x70\x69\x6e\x5f\x71\x75\x65\
\x75\x65\0\x74\x61\x69\x6c\0\x61\x74\x6f\x6d\x69\x63\x5f\x74\0\x6c\x69\x73\x74\
\x5f\x68\x65\x61\x64\0\x70\x72\x65\x76\0\x6c\x6f\x66\x66\x5f\x74\0\x5f\x5f\x6b\
\x65\x72\x6e\x65\x6c\x5f\x6c\x6f\x66\x66\x5f\x74\0\x66\x6f\x77\x6e\x5f\x73\x74\
\x72\x75\x63\x74\0\x70\x69\x64\0\x70\x69\x64\x5f\x74\x79\x70\x65\0\x75\x69\x64\
\0\x65\x75\x69\x64\0\x73\x69\x67\x6e\x75\x6d\0\x72\x77\x6c\x6f\x63\x6b\x5f\x74\
\0\x61\x72\x63\x68\x5f\x72\x77\x6c\x6f\x63\x6b\x5f\x74\0\x63\x6e\x74\x73\0\x77\
\x61\x69\x74\0\x50\x49\x44\x54\x59\x50\x45\x5f\x50\x49\x44\0\x50\x49\x44\x54\
\x59\x50\x45\x5f\x54\x47\x49\x44\0\x50\x49\x44\x54\x59\x50\x45\x5f\x50\x47\x49\
\x44\0\x50\x49\x44\x54\x59\x50\x45\x5f\x53\x49\x44\0\x50\x49\x44\x54\x59\x50\
\x45\x5f\x4d\x41\x58\0\x6b\x75\x69\x64\x5f\x74\0\x76\x61\x6c\0\x75\x69\x64\x5f\
\x74\0\x5f\x5f\x6b\x65\x72\x6e\x65\x6c\x5f\x75\x69\x64\x33\x32\x5f\x74\0\x66\
\x69\x6c\x65\x5f\x72\x61\x5f\x73\x74\x61\x74\x65\0\x73\x74\x61\x72\x74\0\x73\
\x69\x7a\x65\0\x61\x73\x79\x6e\x63\x5f\x73\x69\x7a\x65\0\x72\x61\x5f\x70\x61\
\x67\x65\x73\0\x6d\x6d\x61\x70\x5f\x6d\x69\x73\x73\0\x70\x72\x65\x76\x5f\x70\
\x6f\x73\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\x67\0\x75\x36\x34\0\
\x5f\x5f\x75\x36\x34\0\x65\x72\x72\x73\x65\x71\x5f\x74\0\x75\x33\x32\0\x5f\x5f\
\x75\x33\x32\0\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\x72\0\x5f\x5f\x6f\x70\x61\
\x71\x75\x65\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x73\x76\x65\x72\x69\x74\x79\
\x5f\x64\x69\x67\x65\x73\x74\0\x63\x68\x61\x72\0\x5f\x6c\x69\x63\x65\x6e\x73\
\x65\0\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x64\x69\x67\x65\x73\x74\0\x64\x69\
\x67\x65\x73\x74\0\x6d\x6f\x6e\x69\x74\x6f\x72\x65\x64\x5f\x70\x69\x64\0\x67\
\x6f\x74\x5f\x66\x73\x76\x65\x72\x69\x74\x79\0\x64\x69\x67\x65\x73\x74\x5f\x6d\
\x61\x74\x63\x68\x65\x73\0\x69\x6e\x6f\x64\x65\0\x76\x66\x73\x6d\x6f\x75\x6e\
\x74\0\x61\x64\x64\x72\x65\x73\x73\x5f\x73\x70\x61\x63\x65\0\x66\x69\x6c\x65\
\x5f\x6f\x70\x65\x72\x61\x74\x69\x6f\x6e\x73\0\x68\x6c\x69\x73\x74\x5f\x68\x65\
\x61\x64\0\x63\x72\x65\x64\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\
\x69\x6c\x64\x2f\x42\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\
\x31\x34\x2e\x30\x2d\x35\x39\x35\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\
\x35\x2e\x31\x34\x2e\x30\x2d\x35\x39\x35\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\
\x78\x2f\x74\x6f\x6f\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\
\x66\x74\x65\x73\x74\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\
\x73\x74\x5f\x66\x73\x76\x65\x72\x69\x74\x79\x2e\x63\0\x69\x6e\x74\x20\x42\x50\
\x46\x5f\x50\x52\x4f\x47\x28\x74\x65\x73\x74\x5f\x66\x69\x6c\x65\x5f\x6f\x70\
\x65\x6e\x2c\x20\x73\x74\x72\x75\x63\x74\x20\x66\x69\x6c\x65\x20\x2a\x66\x29\0\
\x09\x70\x69\x64\x20\x3d\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x63\x75\x72\x72\
\x65\x6e\x74\x5f\x70\x69\x64\x5f\x74\x67\x69\x64\x28\x29\x20\x3e\x3e\x20\x33\
\x32\x3b\0\x09\x69\x66\x20\x28\x70\x69\x64\x20\x21\x3d\x20\x6d\x6f\x6e\x69\x74\
\x6f\x72\x65\x64\x5f\x70\x69\x64\x29\0\x09\x62\x70\x66\x5f\x64\x79\x6e\x70\x74\
\x72\x5f\x66\x72\x6f\x6d\x5f\x6d\x65\x6d\x28\x64\x69\x67\x65\x73\x74\x2c\x20\
\x73\x69\x7a\x65\x6f\x66\x28\x64\x69\x67\x65\x73\x74\x29\x2c\x20\x30\x2c\x20\
\x26\x64\x69\x67\x65\x73\x74\x5f\x70\x74\x72\x29\x3b\0\x09\x72\x65\x74\x20\x3d\
\x20\x62\x70\x66\x5f\x67\x65\x74\x5f\x66\x73\x76\x65\x72\x69\x74\x79\x5f\x64\
\x69\x67\x65\x73\x74\x28\x66\x2c\x20\x26\x64\x69\x67\x65\x73\x74\x5f\x70\x74\
\x72\x29\x3b\0\x09\x69\x66\x20\x28\x72\x65\x74\x20\x3c\x20\x30\x29\0\x09\x67\
\x6f\x74\x5f\x66\x73\x76\x65\x72\x69\x74\x79\x20\x3d\x20\x31\x3b\0\x09\x66\x6f\
\x72\x20\x28\x69\x20\x3d\x20\x30\x3b\x20\x69\x20\x3c\x20\x28\x69\x6e\x74\x29\
\x73\x69\x7a\x65\x6f\x66\x28\x64\x69\x67\x65\x73\x74\x29\x3b\x20\x69\x2b\x2b\
\x29\x20\x7b\0\x09\x09\x69\x66\x20\x28\x64\x69\x67\x65\x73\x74\x5b\x69\x5d\x20\
\x21\x3d\x20\x65\x78\x70\x65\x63\x74\x65\x64\x5f\x64\x69\x67\x65\x73\x74\x5b\
\x69\x5d\x29\0\x09\x64\x69\x67\x65\x73\x74\x5f\x6d\x61\x74\x63\x68\x65\x73\x20\
\x3d\x20\x31\x3b\0\x6c\x69\x63\x65\x6e\x73\x65\0\x2e\x62\x73\x73\0\x2e\x6b\x73\
\x79\x6d\x73\0\x6c\x73\x6d\x2e\x73\x2f\x66\x69\x6c\x65\x5f\x6f\x70\x65\x6e\0\
\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x14\0\0\0\x14\0\0\x01\x2c\0\0\x01\x40\0\
\0\0\0\0\0\0\x08\0\0\x05\xf8\0\0\0\x01\0\0\0\0\0\0\0\x05\0\0\0\x10\0\0\x05\xf8\
\0\0\0\x12\0\0\0\0\0\0\x04\x02\0\0\x04\x7b\0\0\x60\x05\0\0\0\x08\0\0\x04\x02\0\
\0\x04\xa8\0\0\x7c\x08\0\0\0\x10\0\0\x04\x02\0\0\x04\xa8\0\0\x7c\x23\0\0\0\x18\
\0\0\x04\x02\0\0\x04\xd1\0\0\x80\x0d\0\0\0\x30\0\0\x04\x02\0\0\x04\xd1\0\0\x80\
\x0a\0\0\0\x50\0\0\x04\x02\0\0\x04\xec\0\0\x8c\x02\0\0\0\x80\0\0\x04\x02\0\0\
\x05\x2a\0\0\x90\x08\0\0\0\xa8\0\0\x04\x02\0\0\x05\x5a\0\0\x94\x0a\0\0\0\xb0\0\
\0\x04\x02\0\0\x05\x68\0\0\x9c\x0f\0\0\0\xd0\0\0\x04\x02\0\0\x05\x7b\0\0\xa4\
\x02\0\0\0\xd8\0\0\x04\x02\0\0\x05\x7b\0\0\xa4\x28\0\0\0\xe0\0\0\x04\x02\0\0\
\x05\x7b\0\0\xa4\x02\0\0\0\xe8\0\0\x04\x02\0\0\x05\xa8\0\0\xa8\x07\0\0\x01\0\0\
\0\x04\x02\0\0\x05\xa8\0\0\xa8\x14\0\0\x01\x20\0\0\x04\x02\0\0\x05\xa8\0\0\xa8\
\x07\0\0\x01\x28\0\0\x04\x02\0\0\x05\xa8\0\0\xa8\x11\0\0\x01\x38\0\0\x04\x02\0\
\0\x05\xcf\0\0\xb8\x11\0\0\x01\x58\0\0\x04\x02\0\0\x04\x7b\0\0\x60\x05\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\0\0\
\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\xd1\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\x18\0\0\0\0\0\0\x01\x08\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x08\
\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x02\x20\0\0\0\0\0\0\x01\x68\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\x21\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\
\x88\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\
\x29\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x8c\0\0\0\0\0\
\0\0\x54\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\xaf\0\0\0\x09\
\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\x90\0\0\0\0\0\0\0\x70\0\0\0\
\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\0\xc3\0\0\0\x01\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x0e\x10\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\xc8\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x12\x10\0\0\0\0\0\0\x01\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_fsverity *test_fsverity::open(const struct bpf_object_open_opts *opts) { return test_fsverity__open_opts(opts); }
struct test_fsverity *test_fsverity::open_and_load() { return test_fsverity__open_and_load(); }
int test_fsverity::load(struct test_fsverity *skel) { return test_fsverity__load(skel); }
int test_fsverity::attach(struct test_fsverity *skel) { return test_fsverity__attach(skel); }
void test_fsverity::detach(struct test_fsverity *skel) { test_fsverity__detach(skel); }
void test_fsverity::destroy(struct test_fsverity *skel) { test_fsverity__destroy(skel); }
const void *test_fsverity::elf_bytes(size_t *sz) { return test_fsverity__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_fsverity__assert(struct test_fsverity *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->bss->expected_digest) == 36, "unexpected size of 'expected_digest'");
	_Static_assert(sizeof(s->bss->digest) == 36, "unexpected size of 'digest'");
	_Static_assert(sizeof(s->bss->monitored_pid) == 4, "unexpected size of 'monitored_pid'");
	_Static_assert(sizeof(s->bss->got_fsverity) == 4, "unexpected size of 'got_fsverity'");
	_Static_assert(sizeof(s->bss->digest_matches) == 4, "unexpected size of 'digest_matches'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_FSVERITY_SKEL_H__ */
