/* SPDX-License-Identifier: (LGPL-2.1 OR BSD-2-Clause) */

/* THIS FILE IS AUTOGENERATED BY BPFTOOL! */
#ifndef __TEST_LDSX_INSN_SKEL_H__
#define __TEST_LDSX_INSN_SKEL_H__

#include <errno.h>
#include <stdlib.h>
#include <bpf/libbpf.h>

#define BPF_SKEL_SUPPORTS_MAP_AUTO_ATTACH 1

struct test_ldsx_insn {
	struct bpf_object_skeleton *skeleton;
	struct bpf_object *obj;
	struct {
		struct bpf_map *rodata;
		struct bpf_map *data;
		struct bpf_map *bss;
	} maps;
	struct {
		struct bpf_program *rdonly_map_prog;
		struct bpf_program *map_val_prog;
		struct bpf_program *test_ptr_struct_arg;
		struct bpf_program *_getsockopt;
		struct bpf_program *_tc;
	} progs;
	struct {
		struct bpf_link *rdonly_map_prog;
		struct bpf_link *map_val_prog;
		struct bpf_link *test_ptr_struct_arg;
		struct bpf_link *_getsockopt;
		struct bpf_link *_tc;
	} links;
	struct test_ldsx_insn__rodata {
		int skip;
		short val1;
		int val2;
	} *rodata;
	struct test_ldsx_insn__data {
		short val3;
		int val4;
	} *data;
	struct test_ldsx_insn__bss {
		int done1;
		int ret1;
		int done2;
		int ret2;
		long long set_optlen;
		long long set_retval;
		long long set_mark;
		long long int_member;
	} *bss;

#ifdef __cplusplus
	static inline struct test_ldsx_insn *open(const struct bpf_object_open_opts *opts = nullptr);
	static inline struct test_ldsx_insn *open_and_load();
	static inline int load(struct test_ldsx_insn *skel);
	static inline int attach(struct test_ldsx_insn *skel);
	static inline void detach(struct test_ldsx_insn *skel);
	static inline void destroy(struct test_ldsx_insn *skel);
	static inline const void *elf_bytes(size_t *sz);
#endif /* __cplusplus */
};

static void
test_ldsx_insn__destroy(struct test_ldsx_insn *obj)
{
	if (!obj)
		return;
	if (obj->skeleton)
		bpf_object__destroy_skeleton(obj->skeleton);
	free(obj);
}

static inline int
test_ldsx_insn__create_skeleton(struct test_ldsx_insn *obj);

static inline struct test_ldsx_insn *
test_ldsx_insn__open_opts(const struct bpf_object_open_opts *opts)
{
	struct test_ldsx_insn *obj;
	int err;

	obj = (struct test_ldsx_insn *)calloc(1, sizeof(*obj));
	if (!obj) {
		errno = ENOMEM;
		return NULL;
	}

	err = test_ldsx_insn__create_skeleton(obj);
	if (err)
		goto err_out;

	err = bpf_object__open_skeleton(obj->skeleton, opts);
	if (err)
		goto err_out;

	return obj;
err_out:
	test_ldsx_insn__destroy(obj);
	errno = -err;
	return NULL;
}

static inline struct test_ldsx_insn *
test_ldsx_insn__open(void)
{
	return test_ldsx_insn__open_opts(NULL);
}

static inline int
test_ldsx_insn__load(struct test_ldsx_insn *obj)
{
	return bpf_object__load_skeleton(obj->skeleton);
}

static inline struct test_ldsx_insn *
test_ldsx_insn__open_and_load(void)
{
	struct test_ldsx_insn *obj;
	int err;

	obj = test_ldsx_insn__open();
	if (!obj)
		return NULL;
	err = test_ldsx_insn__load(obj);
	if (err) {
		test_ldsx_insn__destroy(obj);
		errno = -err;
		return NULL;
	}
	return obj;
}

static inline int
test_ldsx_insn__attach(struct test_ldsx_insn *obj)
{
	return bpf_object__attach_skeleton(obj->skeleton);
}

static inline void
test_ldsx_insn__detach(struct test_ldsx_insn *obj)
{
	bpf_object__detach_skeleton(obj->skeleton);
}

static inline const void *test_ldsx_insn__elf_bytes(size_t *sz);

static inline int
test_ldsx_insn__create_skeleton(struct test_ldsx_insn *obj)
{
	struct bpf_object_skeleton *s;
	struct bpf_map_skeleton *map __attribute__((unused));
	int err;

	s = (struct bpf_object_skeleton *)calloc(1, sizeof(*s));
	if (!s)	{
		err = -ENOMEM;
		goto err;
	}

	s->sz = sizeof(*s);
	s->name = "test_ldsx_insn";
	s->obj = &obj->obj;

	/* maps */
	s->map_cnt = 3;
	s->map_skel_sz = 24;
	s->maps = (struct bpf_map_skeleton *)calloc(s->map_cnt,
			sizeof(*s->maps) > 24 ? sizeof(*s->maps) : 24);
	if (!s->maps) {
		err = -ENOMEM;
		goto err;
	}

	map = (struct bpf_map_skeleton *)((char *)s->maps + 0 * s->map_skel_sz);
	map->name = "test_lds.rodata";
	map->map = &obj->maps.rodata;
	map->mmaped = (void **)&obj->rodata;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 1 * s->map_skel_sz);
	map->name = "test_lds.data";
	map->map = &obj->maps.data;
	map->mmaped = (void **)&obj->data;

	map = (struct bpf_map_skeleton *)((char *)s->maps + 2 * s->map_skel_sz);
	map->name = "test_lds.bss";
	map->map = &obj->maps.bss;
	map->mmaped = (void **)&obj->bss;

	/* programs */
	s->prog_cnt = 5;
	s->prog_skel_sz = sizeof(*s->progs);
	s->progs = (struct bpf_prog_skeleton *)calloc(s->prog_cnt, s->prog_skel_sz);
	if (!s->progs) {
		err = -ENOMEM;
		goto err;
	}

	s->progs[0].name = "rdonly_map_prog";
	s->progs[0].prog = &obj->progs.rdonly_map_prog;
	s->progs[0].link = &obj->links.rdonly_map_prog;

	s->progs[1].name = "map_val_prog";
	s->progs[1].prog = &obj->progs.map_val_prog;
	s->progs[1].link = &obj->links.map_val_prog;

	s->progs[2].name = "test_ptr_struct_arg";
	s->progs[2].prog = &obj->progs.test_ptr_struct_arg;
	s->progs[2].link = &obj->links.test_ptr_struct_arg;

	s->progs[3].name = "_getsockopt";
	s->progs[3].prog = &obj->progs._getsockopt;
	s->progs[3].link = &obj->links._getsockopt;

	s->progs[4].name = "_tc";
	s->progs[4].prog = &obj->progs._tc;
	s->progs[4].link = &obj->links._tc;

	s->data = test_ldsx_insn__elf_bytes(&s->data_sz);

	obj->skeleton = s;
	return 0;
err:
	bpf_object__destroy_skeleton(s);
	return err;
}

static inline const void *test_ldsx_insn__elf_bytes(size_t *sz)
{
	static const char data[] __attribute__((__aligned__(8))) = "\
\x7f\x45\x4c\x46\x02\x02\x01\0\0\0\0\0\0\0\0\0\0\x01\0\xf7\0\0\0\x01\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x18\x18\0\0\0\0\0\x40\0\0\0\0\0\x40\0\x11\0\
\x01\0\x2e\x73\x74\x72\x74\x61\x62\0\x2e\x73\x79\x6d\x74\x61\x62\0\x3f\x72\x61\
\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x3f\x66\x65\x6e\x74\
\x72\x79\x2f\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\
\x5f\x61\x72\x67\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x73\x74\x72\x75\x63\x74\0\x3f\
\x63\x67\x72\x6f\x75\x70\x2f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x3f\x74\
\x63\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x64\x61\x74\x61\0\x2e\x62\x73\x73\0\
\x6c\x69\x63\x65\x6e\x73\x65\0\x74\x65\x73\x74\x5f\x6c\x64\x73\x78\x5f\x69\x6e\
\x73\x6e\x2e\x63\0\x72\x64\x6f\x6e\x6c\x79\x5f\x6d\x61\x70\x5f\x70\x72\x6f\x67\
\0\x64\x6f\x6e\x65\x31\0\x76\x61\x6c\x31\0\x76\x61\x6c\x32\0\x72\x65\x74\x31\0\
\x6d\x61\x70\x5f\x76\x61\x6c\x5f\x70\x72\x6f\x67\0\x64\x6f\x6e\x65\x32\0\x76\
\x61\x6c\x34\0\x76\x61\x6c\x33\0\x72\x65\x74\x32\0\x74\x65\x73\x74\x5f\x70\x74\
\x72\x5f\x73\x74\x72\x75\x63\x74\x5f\x61\x72\x67\0\x69\x6e\x74\x5f\x6d\x65\x6d\
\x62\x65\x72\0\x5f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x73\x65\x74\x5f\
\x6f\x70\x74\x6c\x65\x6e\0\x73\x65\x74\x5f\x72\x65\x74\x76\x61\x6c\0\x5f\x74\
\x63\0\x73\x65\x74\x5f\x6d\x61\x72\x6b\0\x73\x6b\x69\x70\0\x5f\x6c\x69\x63\x65\
\x6e\x73\x65\0\x2e\x72\x65\x6c\x3f\x72\x61\x77\x5f\x74\x70\x2f\x73\x79\x73\x5f\
\x65\x6e\x74\x65\x72\0\x2e\x72\x65\x6c\x3f\x66\x65\x6e\x74\x72\x79\x2f\x62\x70\
\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x61\x72\x67\x5f\
\x70\x74\x72\x5f\x74\x6f\x5f\x73\x74\x72\x75\x63\x74\0\x2e\x72\x65\x6c\x3f\x63\
\x67\x72\x6f\x75\x70\x2f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x2e\x72\x65\
\x6c\x3f\x74\x63\0\x2e\x42\x54\x46\0\x2e\x42\x54\x46\x2e\x65\x78\x74\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x80\x04\0\xff\xf1\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x03\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x05\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x03\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x91\x12\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\0\xa1\x11\0\0\x09\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x04\0\0\0\xa7\x11\0\0\x07\0\0\0\0\0\0\0\x04\0\0\0\0\
\0\0\0\x02\0\0\0\xac\x11\0\0\x07\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\xb1\
\x11\0\0\x09\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\xb6\x12\0\0\x03\0\0\0\0\
\0\0\0\xb0\0\0\0\0\0\0\0\xb0\0\0\0\xc3\x11\0\0\x09\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\x04\0\0\0\xc9\x11\0\0\x08\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\x04\0\0\0\xce\
\x11\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x02\0\0\0\xd3\x11\0\0\x09\0\0\0\0\0\
\0\0\x0c\0\0\0\0\0\0\0\x04\0\0\0\xd8\x12\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x48\0\0\0\xec\x11\0\0\x09\0\0\0\0\0\0\0\x28\0\0\0\0\0\0\0\x08\0\0\0\xf7\x12\0\
\0\x05\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\xb0\0\0\x01\x03\x11\0\0\x09\0\0\0\0\0\0\0\
\x10\0\0\0\0\0\0\0\x08\0\0\x01\x0e\x11\0\0\x09\0\0\0\0\0\0\0\x18\0\0\0\0\0\0\0\
\x08\0\0\x01\x19\x12\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x60\0\0\x01\x1d\x11\
\0\0\x09\0\0\0\0\0\0\0\x20\0\0\0\0\0\0\0\x08\0\0\x01\x26\x11\0\0\x07\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x04\0\0\x01\x2b\x11\0\0\x0a\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x12\0\0\0\0\0\0\x55\x10\0\x10\0\0\
\0\0\xb7\x10\0\0\0\0\0\x01\x63\x21\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\x69\x22\0\0\0\0\0\0\x18\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x33\0\0\0\0\0\
\0\x67\x20\0\0\0\0\0\x30\xc7\x20\0\0\0\0\0\x30\x67\x20\0\0\0\0\0\x20\x77\x20\0\
\0\0\0\0\x20\x5d\x32\0\x03\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\
\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\x61\x12\0\0\0\0\0\0\x55\x10\0\x10\0\0\0\0\xb7\x10\0\0\0\0\0\x01\x63\x21\
\0\0\0\0\0\0\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x61\x22\0\0\0\0\0\0\x18\x30\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\x69\x33\0\0\0\0\0\0\x67\x30\0\0\0\0\0\x30\xc7\x30\0\
\0\0\0\0\x30\x67\x30\0\0\0\0\0\x20\x77\x30\0\0\0\0\0\x20\x5d\x23\0\x03\0\0\0\0\
\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x63\x21\0\0\0\0\0\0\xb7\0\0\0\0\0\0\0\x95\
\0\0\0\0\0\0\0\x79\x11\0\0\0\0\0\0\x61\x11\0\0\0\0\0\0\x67\x10\0\0\0\0\0\x20\
\xc7\x10\0\0\0\0\0\x20\x18\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x21\0\0\0\0\0\0\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\x61\x21\0\x20\0\0\0\0\x61\x31\0\x24\0\0\0\
\0\x18\x40\0\0\xff\xff\xff\xff\0\0\0\0\0\0\0\0\x63\x14\0\x20\0\0\0\0\x63\x14\0\
\x24\0\0\0\0\x61\x41\0\x20\0\0\0\0\x67\x40\0\0\0\0\0\x20\xc7\x40\0\0\0\0\0\x20\
\x18\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x54\0\0\0\0\0\0\x61\x41\0\x24\0\0\0\0\
\x67\x40\0\0\0\0\0\x20\xc7\x40\0\0\0\0\0\x20\x18\x50\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\x7b\x54\0\0\0\0\0\0\x63\x12\0\x20\0\0\0\0\x63\x13\0\x24\0\0\0\0\xb7\0\0\0\0\
\0\0\0\x95\0\0\0\0\0\0\0\xbf\x21\0\0\0\0\0\0\x61\x32\0\x08\0\0\0\0\xb7\x10\0\0\
\0\0\xf6\xfe\x63\x21\0\x08\0\0\0\0\x91\x12\0\x0b\0\0\0\0\xbf\x41\0\0\0\0\0\0\
\x18\x10\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x7b\x14\0\0\0\0\0\0\x63\x23\0\x08\0\0\0\0\
\xb7\0\0\0\0\0\0\0\x95\0\0\0\0\0\0\0\0\0\0\0\xff\xff\0\0\xff\xff\xff\xff\xff\
\xff\0\0\xff\xff\xff\xff\0\0\0\0\x47\x50\x4c\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x07\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x08\0\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\
\x09\0\0\0\x01\0\0\0\0\0\0\0\x88\0\0\0\x0a\0\0\0\x01\0\0\0\0\0\0\0\xb0\0\0\0\
\x0c\0\0\0\x01\0\0\0\0\0\0\0\xe0\0\0\0\x0d\0\0\0\x01\0\0\0\0\0\0\0\xf8\0\0\0\
\x0e\0\0\0\x01\0\0\0\0\0\0\x01\x38\0\0\0\x0f\0\0\0\x01\0\0\0\0\0\0\0\x20\0\0\0\
\x11\0\0\0\x01\0\0\0\0\0\0\0\x48\0\0\0\x13\0\0\0\x01\0\0\0\0\0\0\0\x78\0\0\0\
\x14\0\0\0\x01\0\0\0\0\0\0\0\x30\0\0\0\x16\0\0\0\x01\xeb\x9f\x01\0\0\0\0\x18\0\
\0\0\0\0\0\x06\x60\0\0\x06\x60\0\0\x05\xfa\0\0\0\0\x02\0\0\0\0\0\0\x02\0\0\0\0\
\x0a\0\0\0\0\0\0\0\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x01\0\0\0\x01\0\0\0\x05\
\x01\0\0\0\0\0\0\x04\x01\0\0\x20\0\0\0\x09\x0c\0\0\x01\0\0\0\x03\0\0\0\x19\x0c\
\0\0\x01\0\0\0\x03\0\0\0\0\x02\0\0\0\0\0\0\x08\0\0\0\x26\x01\0\0\0\0\0\0\x08\0\
\0\0\x40\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x01\0\0\0\x07\0\0\0\x39\x0c\0\0\
\x01\0\0\0\x09\0\0\0\0\x02\0\0\0\0\0\0\x0c\0\0\0\0\x09\0\0\0\0\0\0\x0d\0\0\0\
\x4d\x04\0\0\x07\0\0\0\x28\0\0\0\0\0\0\0\x0e\0\0\0\0\0\0\0\0\0\0\0\x10\0\0\0\
\x40\0\0\0\0\0\0\0\x12\0\0\0\x80\0\0\0\x59\0\0\0\x13\0\0\0\xc0\0\0\0\x5f\0\0\0\
\x13\0\0\0\xe0\0\0\0\x67\0\0\0\x13\0\0\x01\0\0\0\0\x6e\0\0\0\x13\0\0\x01\x20\0\
\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\0\x75\0\0\0\x0f\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\
\0\x3b\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\0\x78\0\0\0\x11\0\0\0\0\0\0\0\0\x02\0\
\0\0\0\0\0\0\0\0\0\0\x05\0\0\x01\0\0\0\x08\0\0\0\x7f\0\0\0\x11\0\0\0\0\0\0\0\
\x8a\x08\0\0\0\0\0\0\x04\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\0\x01\0\0\0\x0b\0\0\
\0\x90\x0c\0\0\x01\0\0\0\x14\0\0\0\0\x02\0\0\0\0\0\0\x17\0\0\0\0\x09\0\0\0\0\0\
\0\x18\0\0\0\x9c\x04\0\0\x22\0\0\0\xc0\0\0\0\xa6\0\0\0\x19\0\0\0\0\0\0\0\xaa\0\
\0\0\x19\0\0\0\x20\0\0\0\xb3\0\0\0\x19\0\0\0\x40\0\0\0\xb8\0\0\0\x19\0\0\0\x60\
\0\0\0\xc6\0\0\0\x19\0\0\0\x80\0\0\0\xcf\0\0\0\x19\0\0\0\xa0\0\0\0\xdc\0\0\0\
\x19\0\0\0\xc0\0\0\0\xe5\0\0\0\x19\0\0\0\xe0\0\0\0\xf0\0\0\0\x19\0\0\x01\0\0\0\
\0\xf9\0\0\0\x19\0\0\x01\x20\0\0\x01\x09\0\0\0\x19\0\0\x01\x40\0\0\x01\x11\0\0\
\0\x19\0\0\x01\x60\0\0\x01\x1a\0\0\0\x1b\0\0\x01\x80\0\0\x01\x1d\0\0\0\x19\0\0\
\x02\x20\0\0\x01\x22\0\0\0\x19\0\0\x02\x40\0\0\x01\x2d\0\0\0\x19\0\0\x02\x60\0\
\0\x01\x32\0\0\0\x19\0\0\x02\x80\0\0\x01\x3b\0\0\0\x19\0\0\x02\xa0\0\0\x01\x43\
\0\0\0\x19\0\0\x02\xc0\0\0\x01\x4a\0\0\0\x19\0\0\x02\xe0\0\0\x01\x55\0\0\0\x19\
\0\0\x03\0\0\0\x01\x5f\0\0\0\x1d\0\0\x03\x20\0\0\x01\x6a\0\0\0\x1d\0\0\x03\xa0\
\0\0\x01\x74\0\0\0\x19\0\0\x04\x20\0\0\x01\x80\0\0\0\x19\0\0\x04\x40\0\0\x01\
\x8b\0\0\0\x19\0\0\x04\x60\0\0\0\0\0\0\0\x1e\0\0\x04\x80\0\0\x01\x95\0\0\0\x20\
\0\0\x04\xc0\0\0\x01\x9c\0\0\0\x19\0\0\x05\0\0\0\x01\xa5\0\0\0\x19\0\0\x05\x20\
\0\0\0\0\0\0\0\x0e\0\0\x05\x40\0\0\x01\xae\0\0\0\x19\0\0\x05\x80\0\0\x01\xb7\0\
\0\0\x21\0\0\x05\xa0\0\0\x01\xc3\0\0\0\x20\0\0\x05\xc0\0\0\x01\xcc\x08\0\0\0\0\
\0\0\x1a\0\0\x01\xd2\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\x03\0\0\0\0\0\0\0\0\
\0\0\x19\0\0\0\x1c\0\0\0\x05\0\0\x01\xdf\x01\0\0\0\0\0\0\x04\0\0\0\x20\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x19\0\0\0\x1c\0\0\0\x04\0\0\0\0\x05\0\0\x01\0\0\0\x08\
\0\0\x01\xf3\0\0\0\x1f\0\0\0\0\0\0\0\0\x02\0\0\0\0\0\0\x3c\0\0\x01\xfd\x08\0\0\
\0\0\0\0\x08\0\0\x02\x03\x08\0\0\0\0\0\0\x22\0\0\x02\x08\x01\0\0\0\0\0\0\x01\0\
\0\0\x08\0\0\0\0\x0d\0\0\x01\0\0\0\x04\0\0\x02\x16\0\0\0\x16\0\0\x02\x1a\x0c\0\
\0\x01\0\0\0\x23\0\0\0\0\x0a\0\0\0\0\0\0\x26\0\0\0\0\x09\0\0\0\0\0\0\x04\0\0\
\x02\x1e\x0e\0\0\0\0\0\0\x25\0\0\0\x01\0\0\0\0\x0a\0\0\0\0\0\0\x29\0\0\0\0\x09\
\0\0\0\0\0\0\x2a\0\0\x02\x23\x01\0\0\0\0\0\0\x02\x01\0\0\x10\0\0\x02\x29\x0e\0\
\0\0\0\0\0\x28\0\0\0\x01\0\0\x02\x2e\x0e\0\0\0\0\0\0\x25\0\0\0\x01\0\0\x02\x33\
\x0e\0\0\0\0\0\0\x2a\0\0\0\x01\0\0\x02\x38\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\
\x02\x3d\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\x02\x43\x0e\0\0\0\0\0\0\x04\0\0\0\
\x01\0\0\x02\x48\x0e\0\0\0\0\0\0\x04\0\0\0\x01\0\0\x02\x4e\x0e\0\0\0\0\0\0\x04\
\0\0\0\x01\0\0\x02\x53\x01\0\0\0\0\0\0\x08\x01\0\0\x40\0\0\x02\x5d\x0e\0\0\0\0\
\0\0\x33\0\0\0\x01\0\0\x02\x68\x0e\0\0\0\0\0\0\x33\0\0\0\x01\0\0\x02\x73\x0e\0\
\0\0\0\0\0\x33\0\0\0\x01\0\0\x02\x7c\x01\0\0\0\0\0\0\x01\x01\0\0\x08\0\0\0\0\
\x03\0\0\0\0\0\0\0\0\0\0\x37\0\0\0\x1c\0\0\0\x04\0\0\x02\x81\x0e\0\0\0\0\0\0\
\x38\0\0\0\x01\0\0\x02\x8a\x0e\0\0\0\0\0\0\x33\0\0\0\x01\0\0\x02\x95\x07\0\0\0\
\0\0\0\0\0\0\x02\x9e\x07\0\0\0\0\0\0\0\0\0\x05\x8b\x0f\0\0\x03\0\0\0\x0c\0\0\0\
\x27\0\0\0\0\0\0\0\x04\0\0\0\x2b\0\0\0\x04\0\0\0\x02\0\0\0\x2c\0\0\0\x08\0\0\0\
\x04\0\0\x05\x93\x0f\0\0\x02\0\0\0\x08\0\0\0\x2d\0\0\0\0\0\0\0\x02\0\0\0\x2e\0\
\0\0\x04\0\0\0\x04\0\0\x05\x99\x0f\0\0\x08\0\0\0\x30\0\0\0\x2f\0\0\0\0\0\0\0\
\x04\0\0\0\x30\0\0\0\x04\0\0\0\x04\0\0\0\x31\0\0\0\x08\0\0\0\x04\0\0\0\x32\0\0\
\0\x0c\0\0\0\x04\0\0\0\x34\0\0\0\x10\0\0\0\x08\0\0\0\x35\0\0\0\x18\0\0\0\x08\0\
\0\0\x36\0\0\0\x20\0\0\0\x08\0\0\0\x3a\0\0\0\x28\0\0\0\x08\0\0\x05\x9e\x0f\0\0\
\x01\0\0\0\x04\0\0\0\x39\0\0\0\0\0\0\0\x04\0\x63\x74\x78\0\x69\x6e\x74\0\x72\
\x64\x6f\x6e\x6c\x79\x5f\x6d\x61\x70\x5f\x70\x72\x6f\x67\0\x6d\x61\x70\x5f\x76\
\x61\x6c\x5f\x70\x72\x6f\x67\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x6c\x6f\x6e\
\x67\x20\x6c\x6f\x6e\x67\0\x74\x65\x73\x74\x5f\x70\x74\x72\x5f\x73\x74\x72\x75\
\x63\x74\x5f\x61\x72\x67\0\x62\x70\x66\x5f\x73\x6f\x63\x6b\x6f\x70\x74\0\x6c\
\x65\x76\x65\x6c\0\x6f\x70\x74\x6e\x61\x6d\x65\0\x6f\x70\x74\x6c\x65\x6e\0\x72\
\x65\x74\x76\x61\x6c\0\x73\x6b\0\x6f\x70\x74\x76\x61\x6c\0\x6f\x70\x74\x76\x61\
\x6c\x5f\x65\x6e\x64\0\x5f\x5f\x73\x33\x32\0\x5f\x67\x65\x74\x73\x6f\x63\x6b\
\x6f\x70\x74\0\x5f\x5f\x73\x6b\x5f\x62\x75\x66\x66\0\x6c\x65\x6e\0\x70\x6b\x74\
\x5f\x74\x79\x70\x65\0\x6d\x61\x72\x6b\0\x71\x75\x65\x75\x65\x5f\x6d\x61\x70\
\x70\x69\x6e\x67\0\x70\x72\x6f\x74\x6f\x63\x6f\x6c\0\x76\x6c\x61\x6e\x5f\x70\
\x72\x65\x73\x65\x6e\x74\0\x76\x6c\x61\x6e\x5f\x74\x63\x69\0\x76\x6c\x61\x6e\
\x5f\x70\x72\x6f\x74\x6f\0\x70\x72\x69\x6f\x72\x69\x74\x79\0\x69\x6e\x67\x72\
\x65\x73\x73\x5f\x69\x66\x69\x6e\x64\x65\x78\0\x69\x66\x69\x6e\x64\x65\x78\0\
\x74\x63\x5f\x69\x6e\x64\x65\x78\0\x63\x62\0\x68\x61\x73\x68\0\x74\x63\x5f\x63\
\x6c\x61\x73\x73\x69\x64\0\x64\x61\x74\x61\0\x64\x61\x74\x61\x5f\x65\x6e\x64\0\
\x6e\x61\x70\x69\x5f\x69\x64\0\x66\x61\x6d\x69\x6c\x79\0\x72\x65\x6d\x6f\x74\
\x65\x5f\x69\x70\x34\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x34\0\x72\x65\x6d\x6f\
\x74\x65\x5f\x69\x70\x36\0\x6c\x6f\x63\x61\x6c\x5f\x69\x70\x36\0\x72\x65\x6d\
\x6f\x74\x65\x5f\x70\x6f\x72\x74\0\x6c\x6f\x63\x61\x6c\x5f\x70\x6f\x72\x74\0\
\x64\x61\x74\x61\x5f\x6d\x65\x74\x61\0\x74\x73\x74\x61\x6d\x70\0\x77\x69\x72\
\x65\x5f\x6c\x65\x6e\0\x67\x73\x6f\x5f\x73\x65\x67\x73\0\x67\x73\x6f\x5f\x73\
\x69\x7a\x65\0\x74\x73\x74\x61\x6d\x70\x5f\x74\x79\x70\x65\0\x68\x77\x74\x73\
\x74\x61\x6d\x70\0\x5f\x5f\x75\x33\x32\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\
\x69\x6e\x74\0\x5f\x5f\x41\x52\x52\x41\x59\x5f\x53\x49\x5a\x45\x5f\x54\x59\x50\
\x45\x5f\x5f\0\x66\x6c\x6f\x77\x5f\x6b\x65\x79\x73\0\x5f\x5f\x75\x36\x34\0\x5f\
\x5f\x75\x38\0\x75\x6e\x73\x69\x67\x6e\x65\x64\x20\x63\x68\x61\x72\0\x73\x6b\
\x62\0\x5f\x74\x63\0\x73\x6b\x69\x70\0\x73\x68\x6f\x72\x74\0\x76\x61\x6c\x31\0\
\x76\x61\x6c\x32\0\x76\x61\x6c\x33\0\x76\x61\x6c\x34\0\x64\x6f\x6e\x65\x31\0\
\x72\x65\x74\x31\0\x64\x6f\x6e\x65\x32\0\x72\x65\x74\x32\0\x6c\x6f\x6e\x67\x20\
\x6c\x6f\x6e\x67\0\x73\x65\x74\x5f\x6f\x70\x74\x6c\x65\x6e\0\x73\x65\x74\x5f\
\x72\x65\x74\x76\x61\x6c\0\x73\x65\x74\x5f\x6d\x61\x72\x6b\0\x63\x68\x61\x72\0\
\x5f\x6c\x69\x63\x65\x6e\x73\x65\0\x69\x6e\x74\x5f\x6d\x65\x6d\x62\x65\x72\0\
\x62\x70\x66\x5f\x73\x6f\x63\x6b\0\x62\x70\x66\x5f\x66\x6c\x6f\x77\x5f\x6b\x65\
\x79\x73\0\x2f\x62\x75\x69\x6c\x64\x64\x69\x72\x2f\x62\x75\x69\x6c\x64\x2f\x42\
\x55\x49\x4c\x44\x2f\x6b\x65\x72\x6e\x65\x6c\x2d\x35\x2e\x31\x34\x2e\x30\x2d\
\x35\x39\x35\x2e\x65\x6c\x39\x2f\x6c\x69\x6e\x75\x78\x2d\x35\x2e\x31\x34\x2e\
\x30\x2d\x35\x39\x35\x2e\x65\x6c\x39\x2e\x73\x33\x39\x30\x78\x2f\x74\x6f\x6f\
\x6c\x73\x2f\x74\x65\x73\x74\x69\x6e\x67\x2f\x73\x65\x6c\x66\x74\x65\x73\x74\
\x73\x2f\x62\x70\x66\x2f\x70\x72\x6f\x67\x73\x2f\x74\x65\x73\x74\x5f\x6c\x64\
\x73\x78\x5f\x69\x6e\x73\x6e\x2e\x63\0\x09\x69\x66\x20\x28\x64\x6f\x6e\x65\x31\
\x29\0\x09\x64\x6f\x6e\x65\x31\x20\x3d\x20\x31\x3b\0\x09\x69\x66\x20\x28\x76\
\x61\x6c\x31\x20\x3d\x3d\x20\x76\x61\x6c\x32\x29\0\x09\x09\x72\x65\x74\x31\x20\
\x3d\x20\x31\x3b\0\x7d\0\x09\x69\x66\x20\x28\x64\x6f\x6e\x65\x32\x29\0\x09\x64\
\x6f\x6e\x65\x32\x20\x3d\x20\x31\x3b\0\x09\x69\x66\x20\x28\x76\x61\x6c\x33\x20\
\x3d\x3d\x20\x76\x61\x6c\x34\x29\0\x09\x09\x72\x65\x74\x32\x20\x3d\x20\x31\x3b\
\0\x69\x6e\x74\x20\x42\x50\x46\x5f\x50\x52\x4f\x47\x32\x28\x74\x65\x73\x74\x5f\
\x70\x74\x72\x5f\x73\x74\x72\x75\x63\x74\x5f\x61\x72\x67\x2c\x20\x73\x74\x72\
\x75\x63\x74\x20\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x73\x74\x72\
\x75\x63\x74\x5f\x61\x72\x67\x5f\x31\x20\x2a\x2c\x20\x70\x29\0\x09\x69\x6e\x74\
\x5f\x6d\x65\x6d\x62\x65\x72\x20\x3d\x20\x70\x2d\x3e\x61\x3b\0\x09\x6f\x6c\x64\
\x5f\x6f\x70\x74\x6c\x65\x6e\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6c\
\x65\x6e\x3b\0\x09\x6f\x6c\x64\x5f\x72\x65\x74\x76\x61\x6c\x20\x3d\x20\x63\x74\
\x78\x2d\x3e\x72\x65\x74\x76\x61\x6c\x3b\0\x09\x63\x74\x78\x2d\x3e\x6f\x70\x74\
\x6c\x65\x6e\x20\x3d\x20\x2d\x31\x3b\0\x09\x63\x74\x78\x2d\x3e\x72\x65\x74\x76\
\x61\x6c\x20\x3d\x20\x2d\x31\x3b\0\x09\x73\x65\x74\x5f\x6f\x70\x74\x6c\x65\x6e\
\x20\x3d\x20\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6c\x65\x6e\x3b\0\x09\x73\x65\x74\
\x5f\x72\x65\x74\x76\x61\x6c\x20\x3d\x20\x63\x74\x78\x2d\x3e\x72\x65\x74\x76\
\x61\x6c\x3b\0\x09\x63\x74\x78\x2d\x3e\x6f\x70\x74\x6c\x65\x6e\x20\x3d\x20\x6f\
\x6c\x64\x5f\x6f\x70\x74\x6c\x65\x6e\x3b\0\x09\x63\x74\x78\x2d\x3e\x72\x65\x74\
\x76\x61\x6c\x20\x3d\x20\x6f\x6c\x64\x5f\x72\x65\x74\x76\x61\x6c\x3b\0\x09\x72\
\x65\x74\x75\x72\x6e\x20\x30\x3b\0\x69\x6e\x74\x20\x5f\x74\x63\x28\x76\x6f\x6c\
\x61\x74\x69\x6c\x65\x20\x73\x74\x72\x75\x63\x74\x20\x5f\x5f\x73\x6b\x5f\x62\
\x75\x66\x66\x20\x2a\x73\x6b\x62\x29\0\x09\x6f\x6c\x64\x5f\x6d\x61\x72\x6b\x20\
\x3d\x20\x73\x6b\x62\x2d\x3e\x6d\x61\x72\x6b\x3b\0\x09\x73\x6b\x62\x2d\x3e\x6d\
\x61\x72\x6b\x20\x3d\x20\x30\x78\x66\x36\x66\x65\x3b\0\x09\x61\x73\x6d\x20\x76\
\x6f\x6c\x61\x74\x69\x6c\x65\x20\x28\x22\x72\x31\x20\x3d\x20\x2a\x28\x73\x38\
\x20\x2a\x29\x28\x25\x5b\x63\x74\x78\x5d\x20\x2b\x20\x25\x5b\x6f\x66\x66\x5f\
\x6d\x61\x72\x6b\x5d\x29\x5c\x6e\x5c\x74\x22\0\x09\x73\x65\x74\x5f\x6d\x61\x72\
\x6b\x20\x3d\x20\x74\x6d\x70\x5f\x6d\x61\x72\x6b\x3b\0\x09\x73\x6b\x62\x2d\x3e\
\x6d\x61\x72\x6b\x20\x3d\x20\x6f\x6c\x64\x5f\x6d\x61\x72\x6b\x3b\0\x30\x3a\x35\
\0\x30\x3a\x36\0\x30\x3a\x32\0\x2e\x72\x6f\x64\x61\x74\x61\0\x2e\x64\x61\x74\
\x61\0\x2e\x62\x73\x73\0\x6c\x69\x63\x65\x6e\x73\x65\0\x3f\x72\x61\x77\x5f\x74\
\x70\x2f\x73\x79\x73\x5f\x65\x6e\x74\x65\x72\0\x3f\x66\x65\x6e\x74\x72\x79\x2f\
\x62\x70\x66\x5f\x74\x65\x73\x74\x6d\x6f\x64\x5f\x74\x65\x73\x74\x5f\x61\x72\
\x67\x5f\x70\x74\x72\x5f\x74\x6f\x5f\x73\x74\x72\x75\x63\x74\0\x3f\x63\x67\x72\
\x6f\x75\x70\x2f\x67\x65\x74\x73\x6f\x63\x6b\x6f\x70\x74\0\x3f\x74\x63\0\0\0\0\
\0\0\0\xeb\x9f\x01\0\0\0\0\x20\0\0\0\0\0\0\0\x4c\0\0\0\x4c\0\0\x02\x94\0\0\x02\
\xe0\0\0\0\xc4\0\0\0\x08\0\0\x05\xa6\0\0\0\x02\0\0\0\0\0\0\0\x05\0\0\0\xb0\0\0\
\0\x06\0\0\x05\xb8\0\0\0\x01\0\0\0\0\0\0\0\x0a\0\0\x05\xe3\0\0\0\x01\0\0\0\0\0\
\0\0\x15\0\0\x05\xf6\0\0\0\x01\0\0\0\0\0\0\0\x24\0\0\0\x10\0\0\x05\xa6\0\0\0\
\x0f\0\0\0\0\0\0\x02\xac\0\0\x03\x26\0\0\x60\x06\0\0\0\x28\0\0\x02\xac\0\0\x03\
\x32\0\0\x6c\x08\0\0\0\x30\0\0\x02\xac\0\0\x03\x3e\0\0\x74\x06\0\0\0\x48\0\0\
\x02\xac\0\0\x03\x3e\0\0\x74\x0e\0\0\0\x60\0\0\x02\xac\0\0\x03\x3e\0\0\x74\x06\
\0\0\0\x80\0\0\x02\xac\0\0\x03\x3e\0\0\x74\x0b\0\0\0\x88\0\0\x02\xac\0\0\x03\
\x51\0\0\x78\x08\0\0\0\xa0\0\0\x02\xac\0\0\x03\x5d\0\0\x84\x01\0\0\0\xb0\0\0\
\x02\xac\0\0\x03\x5f\0\0\x98\x06\0\0\0\xd8\0\0\x02\xac\0\0\x03\x6b\0\0\xa4\x08\
\0\0\0\xe0\0\0\x02\xac\0\0\x03\x77\0\0\xac\x0e\0\0\0\xf8\0\0\x02\xac\0\0\x03\
\x77\0\0\xac\x06\0\0\x01\x30\0\0\x02\xac\0\0\x03\x77\0\0\xac\x0b\0\0\x01\x38\0\
\0\x02\xac\0\0\x03\x8a\0\0\xb0\x08\0\0\x01\x50\0\0\x02\xac\0\0\x03\x5d\0\0\xbc\
\x01\0\0\x05\xb8\0\0\0\x04\0\0\0\0\0\0\x02\xac\0\0\x03\x96\0\0\xe0\x05\0\0\0\
\x08\0\0\x02\xac\0\0\x03\xdf\0\0\xec\x12\0\0\0\x20\0\0\x02\xac\0\0\x03\xdf\0\0\
\xec\x0d\0\0\0\x38\0\0\x02\xac\0\0\x03\x96\0\0\xe0\x05\0\0\x05\xe3\0\0\0\x0d\0\
\0\0\0\0\0\x02\xac\0\0\x03\xf3\0\x01\x18\x14\0\0\0\x08\0\0\x02\xac\0\0\x04\x0e\
\0\x01\x1c\x14\0\0\0\x20\0\0\x02\xac\0\0\x04\x29\0\x01\x24\x0e\0\0\0\x28\0\0\
\x02\xac\0\0\x04\x3c\0\x01\x28\x0e\0\0\0\x30\0\0\x02\xac\0\0\x04\x4f\0\x01\x34\
\x14\0\0\0\x38\0\0\x02\xac\0\0\x04\x4f\0\x01\x34\x0f\0\0\0\x48\0\0\x02\xac\0\0\
\x04\x4f\0\x01\x34\x0d\0\0\0\x60\0\0\x02\xac\0\0\x04\x6a\0\x01\x38\x14\0\0\0\
\x68\0\0\x02\xac\0\0\x04\x6a\0\x01\x38\x0f\0\0\0\x78\0\0\x02\xac\0\0\x04\x6a\0\
\x01\x38\x0d\0\0\0\x90\0\0\x02\xac\0\0\x04\x85\0\x01\x40\x0e\0\0\0\x98\0\0\x02\
\xac\0\0\x04\xa0\0\x01\x44\x0e\0\0\0\xa0\0\0\x02\xac\0\0\x04\xbb\0\x01\x4c\x02\
\0\0\x05\xf6\0\0\0\x07\0\0\0\0\0\0\x02\xac\0\0\x04\xc6\0\x01\x64\0\0\0\0\x08\0\
\0\x02\xac\0\0\x04\xee\0\x01\x78\x12\0\0\0\x18\0\0\x02\xac\0\0\x05\x05\0\x01\
\x80\x0c\0\0\0\x20\0\0\x02\xac\0\0\x05\x1a\0\x01\x9c\x02\0\0\0\x30\0\0\x02\xac\
\0\0\x05\x52\0\x01\xd0\x0b\0\0\0\x48\0\0\x02\xac\0\0\x05\x68\0\x01\xd8\x0c\0\0\
\0\x50\0\0\x02\xac\0\0\x04\xbb\0\x01\xe0\x02\0\0\0\x10\0\0\x05\xe3\0\0\0\x08\0\
\0\0\0\0\0\0\x0d\0\0\x05\x7f\0\0\0\0\0\0\0\x08\0\0\0\x0d\0\0\x05\x83\0\0\0\0\0\
\0\0\x20\0\0\0\x0d\0\0\x05\x7f\0\0\0\0\0\0\0\x28\0\0\0\x0d\0\0\x05\x83\0\0\0\0\
\0\0\0\x30\0\0\0\x0d\0\0\x05\x7f\0\0\0\0\0\0\0\x60\0\0\0\x0d\0\0\x05\x83\0\0\0\
\0\0\0\0\x90\0\0\0\x0d\0\0\x05\x7f\0\0\0\0\0\0\0\x98\0\0\0\x0d\0\0\x05\x83\0\0\
\0\0\0\0\x05\xf6\0\0\0\x03\0\0\0\x08\0\0\0\x18\0\0\x05\x87\0\0\0\0\0\0\0\x18\0\
\0\0\x18\0\0\x05\x87\0\0\0\0\0\0\0\x48\0\0\0\x18\0\0\x05\x87\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\x03\0\0\0\0\0\
\0\0\x20\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\x01\xa6\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\0\x09\0\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\x01\xe8\0\0\0\0\0\0\x02\x58\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\0\x08\0\0\0\0\0\0\0\x18\0\0\0\x11\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\x04\x40\0\0\0\0\0\0\x01\x60\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\
\0\0\0\0\0\0\0\0\0\x23\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x05\xa0\0\0\0\0\0\0\0\x48\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\
\0\0\x4e\0\0\0\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x05\xe8\0\0\0\
\0\0\0\0\xb0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x61\0\0\0\
\x01\0\0\0\0\0\0\0\x06\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\x98\0\0\0\0\0\0\0\x60\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\x65\0\0\0\x01\0\0\0\0\0\
\0\0\x02\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x06\xf8\0\0\0\0\0\0\0\x0c\0\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\x6d\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x07\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\
\x04\0\0\0\0\0\0\0\0\0\0\0\x73\0\0\0\x08\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\x07\x10\0\0\0\0\0\0\0\x30\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\
\0\0\0\0\0\0\x78\0\0\0\x01\0\0\0\0\0\0\0\x03\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\
\x10\0\0\0\0\0\0\0\x04\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x01\0\0\0\0\0\0\0\0\0\0\
\x01\x34\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x18\0\0\0\
\0\0\0\0\x80\0\0\0\x02\0\0\0\x03\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\
\x4a\0\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\x98\0\0\0\0\0\
\0\0\x10\0\0\0\x02\0\0\0\x04\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x79\0\
\0\0\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xa8\0\0\0\0\0\0\0\
\x20\0\0\0\x02\0\0\0\x05\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x90\0\0\0\
\x09\0\0\0\0\0\0\0\x40\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xc8\0\0\0\0\0\0\0\x10\0\
\0\0\x02\0\0\0\x06\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\x10\0\0\x01\x98\0\0\0\x01\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x07\xd8\0\0\0\0\0\0\x0c\x72\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\x08\0\0\0\0\0\0\0\0\0\0\x01\x9d\0\0\0\x01\0\0\0\0\0\0\0\
\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\x14\x50\0\0\0\0\0\0\x03\xc4\0\0\0\0\0\0\0\0\0\0\
\0\0\0\0\0\x08\0\0\0\0\0\0\0\0";

	*sz = sizeof(data) - 1;
	return (const void *)data;
}

#ifdef __cplusplus
struct test_ldsx_insn *test_ldsx_insn::open(const struct bpf_object_open_opts *opts) { return test_ldsx_insn__open_opts(opts); }
struct test_ldsx_insn *test_ldsx_insn::open_and_load() { return test_ldsx_insn__open_and_load(); }
int test_ldsx_insn::load(struct test_ldsx_insn *skel) { return test_ldsx_insn__load(skel); }
int test_ldsx_insn::attach(struct test_ldsx_insn *skel) { return test_ldsx_insn__attach(skel); }
void test_ldsx_insn::detach(struct test_ldsx_insn *skel) { test_ldsx_insn__detach(skel); }
void test_ldsx_insn::destroy(struct test_ldsx_insn *skel) { test_ldsx_insn__destroy(skel); }
const void *test_ldsx_insn::elf_bytes(size_t *sz) { return test_ldsx_insn__elf_bytes(sz); }
#endif /* __cplusplus */

__attribute__((unused)) static void
test_ldsx_insn__assert(struct test_ldsx_insn *s __attribute__((unused)))
{
#ifdef __cplusplus
#define _Static_assert static_assert
#endif
	_Static_assert(sizeof(s->rodata->skip) == 4, "unexpected size of 'skip'");
	_Static_assert(sizeof(s->rodata->val1) == 2, "unexpected size of 'val1'");
	_Static_assert(sizeof(s->rodata->val2) == 4, "unexpected size of 'val2'");
	_Static_assert(sizeof(s->data->val3) == 2, "unexpected size of 'val3'");
	_Static_assert(sizeof(s->data->val4) == 4, "unexpected size of 'val4'");
	_Static_assert(sizeof(s->bss->done1) == 4, "unexpected size of 'done1'");
	_Static_assert(sizeof(s->bss->ret1) == 4, "unexpected size of 'ret1'");
	_Static_assert(sizeof(s->bss->done2) == 4, "unexpected size of 'done2'");
	_Static_assert(sizeof(s->bss->ret2) == 4, "unexpected size of 'ret2'");
	_Static_assert(sizeof(s->bss->set_optlen) == 8, "unexpected size of 'set_optlen'");
	_Static_assert(sizeof(s->bss->set_retval) == 8, "unexpected size of 'set_retval'");
	_Static_assert(sizeof(s->bss->set_mark) == 8, "unexpected size of 'set_mark'");
	_Static_assert(sizeof(s->bss->int_member) == 8, "unexpected size of 'int_member'");
#ifdef __cplusplus
#undef _Static_assert
#endif
}

#endif /* __TEST_LDSX_INSN_SKEL_H__ */
